<?php

$protocol = (!empty($_SERVER['HTTPS']) && strtolower($_SERVER['HTTPS']) !== 'off'  ? 'https' : 'http');
$optionalDomain = str_replace('/index.php', '', $_SERVER['SCRIPT_NAME']);
if ($optionalDomain && mb_substr($optionalDomain, 0, 1, 'utf-8') !== '/') {
  $optionalDomain = '/'.$optionalDomain;
}
$domain = $protocol."://".$_SERVER['SERVER_NAME'].$optionalDomain;

$dump = array(
  "DROP TABLE IF EXISTS `".$prefix."autosender`, `".$prefix."email`, `".$prefix."delivery`, `".$prefix."letter`, `".$prefix."letter2subscription`, `".$prefix."listname`, `".$prefix."ready_task`, `".$prefix."sender`, `".$prefix."send_task`, `".$prefix."setting`, `".$prefix."subscription`, `".$prefix."template_letter`, `".$prefix."user`, `".$prefix."letter_status`,`".$prefix."smtp`,`".$prefix."rss`,`".$prefix."not_available_email`",

  "SET names utf8",


"CREATE TABLE `".$prefix."autosender` (
  `id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `listname_id` int(11) NOT NULL,
  `template_id` int(11) NOT NULL,
  `date_send` varchar(255) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8",

"CREATE TABLE `".$prefix."email` (
  `id` int(11) NOT NULL,
  `email` varchar(255) NOT NULL,
  `date_add` datetime NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8",

"CREATE TABLE `".$prefix."not_available_email` (
  `id` int(11) NOT NULL,
  `email` varchar(255) NOT NULL,
  `date_add` datetime NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8",

"CREATE TABLE `".$prefix."letter` (
  `id` int(11) NOT NULL,
  `add_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `content` longtext NOT NULL,
  `title` mediumtext NOT NULL,
  `name` mediumtext NOT NULL,
  `listname_id` int(11) NOT NULL,
  `status_id` int(11) NOT NULL,
  `attachments` text NOT NULL,
  `left_time` int(11) NOT NULL,
  `left_time_min` int(11) NOT NULL,
  `left_time_day` int(11) NOT NULL,
  `left_time_month` int(11) NOT NULL,
  `left_time_year` int(11) NOT NULL,
  `count_read` int(11) NOT NULL,
  `count_click` int(11) NOT NULL,
  `date_status_send` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `rss_id` int(11) NOT NULL,
  `rss_pub` varchar(255) NOT NULL,
  `count_undelivered` int(11) NOT NULL,
  `count_send` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8",

"CREATE TABLE `".$prefix."letter2subscription` (
  `id` int(11) NOT NULL,
  `letter_id` int(11) NOT NULL,
  `subscription_id` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8",

"CREATE TABLE `".$prefix."letter_status` (
  `id` int(11) NOT NULL,
  `title` varchar(255) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8",

"CREATE TABLE `".$prefix."listname` (
  `id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `url` varchar(255) NOT NULL,
  `text_suscribe` longtext NOT NULL,
  `text_confirm` longtext NOT NULL,
  `text_unsubscribe` longtext NOT NULL,
  `form_subscribe` longtext NOT NULL,
  `email_subscribe` longtext NOT NULL,
  `page_subscribe` longtext NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8",

"CREATE TABLE `".$prefix."ready_task` (
  `id` int(11) NOT NULL,
  `email_id` int(11) NOT NULL,
  `email` varchar(255) NOT NULL,
  `listname_id` int(11) NOT NULL,
  `status_send` varchar(255) NOT NULL,
  `read` int(11) NOT NULL,
  `auto_left_time` int(11) NOT NULL,
  `date_ready` date NOT NULL,
  `letter_id` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8",

"CREATE TABLE `".$prefix."rss` (
  `id` int(11) NOT NULL,
  `rss_link` varchar(1024) NOT NULL,
  `active` varchar(5) NOT NULL,
  `html_template` longtext NOT NULL,
  `time_send` varchar(5) NOT NULL,
  `list_id` int(11) NOT NULL,
  `read_today` datetime NOT NULL DEFAULT '1970-01-01 00:00:00'
) ENGINE=MyISAM DEFAULT CHARSET=utf8",


"CREATE TABLE `".$prefix."sender` (
  `id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `listname_id` int(11) NOT NULL,
  `template` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8",


"CREATE TABLE `".$prefix."send_task` (
  `id` int(11) NOT NULL,
  `email_id` int(11) NOT NULL,
  `email` varchar(255) NOT NULL,
  `list_id` int(11) NOT NULL,
  `sending` int(11) NOT NULL,
  `date_send` date NOT NULL,
  `auto_left_time` int(11) NOT NULL,
  `letter_id` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8",

"CREATE TABLE `".$prefix."setting` (
  `id` int(11) NOT NULL,
  `option` varchar(255) NOT NULL,
  `value` longtext NOT NULL,
  `active` varchar(1) NOT NULL DEFAULT 'N',
  `name` varchar(255) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8",

"CREATE TABLE `".$prefix."smtp` (
  `id` int(11) NOT NULL,
  `host` varchar(255) NOT NULL,
  `login` varchar(255) NOT NULL,
  `pass` varchar(255) NOT NULL,
  `port` varchar(255) NOT NULL,
  `ssl` varchar(255) NOT NULL,
  `counter_use` int(11) NOT NULL,
  `max_letter_to_day` int(11) NOT NULL,
  `time_bound` int(11) NOT NULL,
  `last_use_time` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8",

"CREATE TABLE `".$prefix."subscription` (
  `id` int(11) NOT NULL,
  `listname_id` int(11) NOT NULL,
  `email_id` int(11) NOT NULL,
  `date_autoresp` datetime NOT NULL,
  `date_add` datetime NOT NULL,
  `unsub` int(11) NOT NULL DEFAULT '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8",

"CREATE TABLE `".$prefix."template_letter` (
  `id` int(11) NOT NULL,
  `html` longtext NOT NULL,
  `rss` varchar(1000) NOT NULL,
  `title` varchar(255) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8",

"CREATE TABLE `".$prefix."user` (
  `id` int(11) NOT NULL,
  `email` varchar(255) DEFAULT NULL,
  `pass` varchar(255) DEFAULT NULL,
  `role` int(11) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `sname` varchar(255) DEFAULT NULL,
  `address` text,
  `phone` varchar(255) DEFAULT NULL,
  `date_add` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `blocked` int(1) NOT NULL DEFAULT '0',
  `restore` varchar(255) DEFAULT NULL,
  `activity` int(1) DEFAULT '0',
  `inn` text NOT NULL,
  `kpp` text NOT NULL,
  `nameyur` text NOT NULL,
  `adress` text NOT NULL,
  `bank` text NOT NULL,
  `bik` text NOT NULL,
  `ks` text NOT NULL,
  `rs` text NOT NULL,
  `birthday` date DEFAULT NULL,
  `ip` text NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8",

"ALTER TABLE `".$prefix."autosender`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`),
  ADD KEY `id_2` (`id`)",

"ALTER TABLE `".$prefix."email`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `email` (`email`),
  ADD KEY `id` (`id`),
  ADD KEY `email_2` (`email`)",

"ALTER TABLE `".$prefix."letter`
  ADD PRIMARY KEY (`id`),
  ADD KEY `left_time` (`left_time`),
  ADD KEY `rss_id` (`rss_id`),
  ADD KEY `status_id` (`status_id`),
  ADD KEY `listname_id` (`listname_id`)",

"ALTER TABLE `".$prefix."letter2subscription`
  ADD PRIMARY KEY (`id`)",

"ALTER TABLE `".$prefix."letter_status`
  ADD PRIMARY KEY (`id`)",

"ALTER TABLE `".$prefix."listname`
  ADD UNIQUE KEY `name` (`name`),
  ADD KEY `id` (`id`)",

"ALTER TABLE `".$prefix."ready_task`
  ADD KEY `letter_id` (`letter_id`),
  ADD KEY `listname_id` (`listname_id`),
  ADD KEY `email_id` (`email_id`)",

"ALTER TABLE `".$prefix."rss`
  ADD PRIMARY KEY (`id`)",

"ALTER TABLE `".$prefix."send_task`
  ADD PRIMARY KEY (`id`),
  ADD KEY `list_id` (`list_id`),
  ADD KEY `letter_id` (`letter_id`)",

"ALTER TABLE `".$prefix."setting`
  ADD PRIMARY KEY (`id`)",

"ALTER TABLE `".$prefix."smtp`
  ADD PRIMARY KEY (`id`)",

"ALTER TABLE `".$prefix."subscription`
  ADD PRIMARY KEY (`id`),
  ADD KEY `listname_id` (`listname_id`),
  ADD KEY `listname_id_2` (`listname_id`),
  ADD KEY `email_id` (`email_id`),
  ADD KEY `date_add` (`date_add`)",

"ALTER TABLE `".$prefix."template_letter`
  ADD PRIMARY KEY (`id`)",

"ALTER TABLE `".$prefix."user`
  ADD PRIMARY KEY (`id`),
  ADD KEY `email` (`email`)",

"ALTER TABLE `".$prefix."autosender`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT",

"ALTER TABLE `".$prefix."email`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT",

"ALTER TABLE `".$prefix."letter`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT",

"ALTER TABLE `".$prefix."listname`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT",

"ALTER TABLE `".$prefix."rss`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT",

"ALTER TABLE `".$prefix."send_task`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT",

"ALTER TABLE `".$prefix."setting`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT",

"ALTER TABLE `".$prefix."smtp`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT",

"ALTER TABLE `".$prefix."subscription`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT",

"ALTER TABLE `".$prefix."template_letter`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT",

"ALTER TABLE `".$prefix."user`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT",

"INSERT INTO `".$prefix."listname` (`id`, `name`, `url`, `text_suscribe`, `text_confirm`, `text_unsubscribe`, `form_subscribe`, `email_subscribe`, `page_subscribe`) VALUES
(1, 'Клиенты компании', 'klienty-kompanii', '<meta charset=\"utf-8\">\n<style type=\"text/css\">.subscr {\n			    background: #f8fff0;\n			    padding: 30px 0;\n			    text-align: center;\n			    border-radius: 5px;\n			    border: 1px solid #d9f5b4;\n			    font-size: 17px;\n			    font-family: sans-serif;\n			}\n			.subscr span::before{\n				content: \"✔\";\n			    background: #31bd31;\n			    padding: 1px 5px;\n			    font-size: 25px;\n			    border-radius: 26px;\n			    vertical-align: sub;\n			    margin-right: 10px;\n			    color: #fff;\n			}\n</style>\n<div class=\"subscr\">\n	<span>Спасибо! Вам отправлено письмо на email: [EMAIL] для подтвреждения подписки.</span>\n</div>\n', '<meta charset=\"utf-8\">\n<style type=\"text/css\">.subscr {\n          background: #f8fff0;\n          padding: 30px 0;\n          text-align: center;\n          border-radius: 5px;\n          border: 1px solid #d9f5b4;\n          font-size: 17px;\n          font-family: sans-serif;\n      }\n      .subscr span::before{\n        content: \"✔\";\n          background: #31bd31;\n          padding: 1px 5px;\n          font-size: 25px;\n          border-radius: 26px;\n          vertical-align: sub;\n          margin-right: 10px;\n          color: #fff;\n      }\n</style>\n<div class=\"subscr\">\n	<span>Ваш e-mail подтверждён. Спасибо за подписку!</span>\n</div>\n', '<meta charset=\"utf-8\">\n<style type=\"text/css\">.subscr {\n        background: #d4d4d4;\n	    padding: 30px 0;\n	    text-align: center;\n	    border-radius: 5px;\n	    border: 1px solid #6f6f6f;\n	    font-size: 17px;\n	    font-family: sans-serif;\n      }\n      .subscr span::before{\n        content: \"=(\";\n	    background: #968f90;\n	    padding: 6px 9px;\n	    font-size: 25px;\n	    border-radius: 26px;\n	    vertical-align: sub;\n	    margin-right: 10px;\n	    color: #fff;\n      }\n</style>\n<div class=\"subscr\">\n	<span>Желаем Вам всего хорошего! Ваш Email удален из списка рассылки.</span>\n</div>\n', '<form name=\"subscribe\" id=\"subscribe\" method=\"get\" action=\"".$domain."/subscribe/klienty-kompanii\">\n  <input type=\"hidden\" name=\"addsub\" value=\"1\">\n  <input type=\"email\" name=\"email\" value=\"\" placeholder=\"Ваш E-mail\" style=\"width: 150px; margin-bottom: 10px;\">\n  <input type=\"submit\"\n      onclick=\"if(!$(\'input[name=email]\').val()){alert(\'Поле E-mail необходимо заполнить!\'); return false;}\" class=\"default-btn warning-btn submit-button\"\n       value=\"Подписаться\" style=\"width: 150px;\">\n</form>', '<meta charset=\"utf-8\">\n<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" class=\"body\" style=\"border-spacing: 0;border-collapse: collapse;vertical-align: top;height: 100%;width: 100%;table-layout: fixed\" width=\"100%\">\n	<tbody>\n		<tr style=\"vertical-align: top\">\n			<td align=\"center\" class=\"center\" style=\"word-break: break-word;border-collapse: collapse !important;vertical-align: top;text-align: center;background-color: #FFFFFF\" valign=\"top\">\n				<table align=\"center\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"border-spacing: 0;border-collapse: collapse;vertical-align: top;background-color: #EDEDED\" width=\"100%\">\n					<tbody>\n						<tr style=\"vertical-align: top\">\n							<td style=\"word-break: break-word;border-collapse: collapse !important;vertical-align: top\" width=\"100%\">\n								<!--[if gte mso 9]>\n                    <table id=\"outlookholder\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\"><tr><td>\n                    <![endif]--><!--[if (IE)]>\n                    <table width=\"500\" align=\"center\" cellpadding=\"0\" cellspacing=\"0\" border=\"0\">\n                        <tr>\n                            <td>\n                    <![endif]-->\n								<table align=\"center\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" class=\"container\" style=\"border-spacing: 0;border-collapse: collapse;vertical-align: top;max-width: 500px;margin: 0 auto;text-align: inherit\" width=\"100%\">\n									<tbody>\n										<tr style=\"vertical-align: top\">\n											<td style=\"word-break: break-word;border-collapse: collapse !important;vertical-align: top\" width=\"100%\">\n												<table bgcolor=\"transparent\" cellpadding=\"0\" cellspacing=\"0\" class=\"block-grid\" style=\"border-spacing: 0;border-collapse: collapse;vertical-align: top;width: 100%;max-width: 500px;color: #000000;background-color: transparent\" width=\"100%\">\n													<tbody>\n														<tr style=\"vertical-align: top\">\n															<td style=\"word-break: break-word;border-collapse: collapse !important;vertical-align: top;text-align: center;font-size: 0\">\n																<!--[if (gte mso 9)|(IE)]><table width=\"100%\" align=\"center\" bgcolor=\"transparent\" cellpadding=\"0\" cellspacing=\"0\" border=\"0\"><tr><![endif]--><!--[if (gte mso 9)|(IE)]><td valign=\"top\" width=\"500\"><![endif]-->\n																<div class=\"col num12\" style=\"display: inline-block;vertical-align: top;width: 100%\">\n																	<table align=\"center\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"border-spacing: 0;border-collapse: collapse;vertical-align: top\" width=\"100%\">\n																		<tbody>\n																			<tr style=\"vertical-align: top\">\n																				<td style=\"word-break: break-word;border-collapse: collapse !important;vertical-align: top;background-color: transparent;padding-top: 10px;padding-right: 10px;padding-bottom: 10px;padding-left: 10px;border-top: 0px solid transparent;border-right: 0px solid transparent;border-bottom: 0px solid transparent;border-left: 0px solid transparent\">\n																					<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"border-spacing: 0;border-collapse: collapse;vertical-align: top\" width=\"100%\">\n																						<tbody>\n																							<tr style=\"vertical-align: top\">\n																								<td align=\"center\" style=\"word-break: break-word;border-collapse: collapse !important;vertical-align: top;width: 100%;padding-top: 0px;padding-right: 0px;padding-bottom: 0px;padding-left: 0px\">\n																									<div align=\"center\" style=\"font-size:12px\">\n																										<img align=\"center\" alt=\"Image\" border=\"0\" class=\"center\" src=\"".$domain."/uploads/templates/c5b15571-8417-4e70-ab89-b56776469e99.png\" style=\"outline: none;text-decoration: none;-ms-interpolation-mode: bicubic;clear: both;display: block;border: 0;height: auto;line-height: 100%;margin: 0 auto;float: none;width: 150px;max-width: 150px\" title=\"Image\" width=\"150\" />\n																									</div>\n																								</td>\n																							</tr>\n																						</tbody>\n																					</table>\n																				</td>\n																			</tr>\n																		</tbody>\n																	</table>\n																</div>\n																<!--[if (gte mso 9)|(IE)]></td><![endif]--><!--[if (gte mso 9)|(IE)]></td></tr></table><![endif]-->\n															</td>\n														</tr>\n													</tbody>\n												</table>\n											</td>\n										</tr>\n									</tbody>\n								</table>\n								<!--[if mso]>\n                    </td></tr></table>\n                    <![endif]--><!--[if (IE)]>\n                    </td></tr></table>\n                    <![endif]-->\n							</td>\n						</tr>\n					</tbody>\n				</table>\n\n				<table align=\"center\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"border-spacing: 0;border-collapse: collapse;vertical-align: top;background-color: transparent\" width=\"100%\">\n					<tbody>\n						<tr style=\"vertical-align: top\">\n							<td style=\"word-break: break-word;border-collapse: collapse !important;vertical-align: top\" width=\"100%\">\n								<!--[if gte mso 9]>\n                    <table id=\"outlookholder\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\"><tr><td>\n                    <![endif]--><!--[if (IE)]>\n                    <table width=\"500\" align=\"center\" cellpadding=\"0\" cellspacing=\"0\" border=\"0\">\n                        <tr>\n                            <td>\n                    <![endif]-->\n								<table align=\"center\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" class=\"container\" style=\"border-spacing: 0;border-collapse: collapse;vertical-align: top;max-width: 500px;margin: 0 auto;text-align: inherit\" width=\"100%\">\n									<tbody>\n										<tr style=\"vertical-align: top\">\n											<td style=\"word-break: break-word;border-collapse: collapse !important;vertical-align: top\" width=\"100%\">\n												<table bgcolor=\"transparent\" cellpadding=\"0\" cellspacing=\"0\" class=\"block-grid\" style=\"border-spacing: 0;border-collapse: collapse;vertical-align: top;width: 100%;max-width: 500px;color: #333;background-color: transparent\" width=\"100%\">\n													<tbody>\n														<tr style=\"vertical-align: top\">\n															<td style=\"word-break: break-word;border-collapse: collapse !important;vertical-align: top;text-align: center;font-size: 0\">\n																<!--[if (gte mso 9)|(IE)]><table width=\"100%\" align=\"center\" bgcolor=\"transparent\" cellpadding=\"0\" cellspacing=\"0\" border=\"0\"><tr><![endif]--><!--[if (gte mso 9)|(IE)]><td valign=\"top\" width=\"500\"><![endif]-->\n																<div class=\"col num12\" style=\"display: inline-block;vertical-align: top;width: 100%\">\n																	<table align=\"center\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"border-spacing: 0;border-collapse: collapse;vertical-align: top\" width=\"100%\">\n																		<tbody>\n																			<tr style=\"vertical-align: top\">\n																				<td style=\"word-break: break-word;border-collapse: collapse !important;vertical-align: top;background-color: transparent;padding-top: 30px;padding-right: 0px;padding-bottom: 30px;padding-left: 0px;border-top: 0px solid transparent;border-right: 0px solid transparent;border-bottom: 0px solid transparent;border-left: 0px solid transparent\">\n																					<table cellpadding=\"0\" cellspacing=\"0\" style=\"border-spacing: 0;border-collapse: collapse;vertical-align: top\" width=\"100%\">\n																						<tbody>\n																							<tr style=\"vertical-align: top\">\n																								<td style=\"word-break: break-word;border-collapse: collapse !important;vertical-align: top;padding-top: 10px;padding-right: 10px;padding-bottom: 0px;padding-left: 10px\">\n																									<div style=\"color:#555555;line-height:120%;font-family:Arial, Helvetica Neue, Helvetica, sans-serif;\">\n																										<div style=\"font-size:12px;line-height:14px;color:#555555;font-family:Arial, Helvetica Neue, Helvetica, sans-serif;text-align:left;\">\n																											<p style=\"margin: 0;font-size: 14px;line-height: 17px\">\n																												<span style=\"font-size: 24px; line-height: 28px;\"><strong><span style=\"line-height: 28px; font-size: 24px;\">Здравствуйте!</span></strong></span>\n																											</p>\n																										</div>\n																									</div>\n																								</td>\n																							</tr>\n																						</tbody>\n																					</table>\n\n																					<table cellpadding=\"0\" cellspacing=\"0\" style=\"border-spacing: 0;border-collapse: collapse;vertical-align: top\" width=\"100%\">\n																						<tbody>\n																							<tr style=\"vertical-align: top\">\n																								<td style=\"word-break: break-word;border-collapse: collapse !important;vertical-align: top;padding-top: 5px;padding-right: 10px;padding-bottom: 5px;padding-left: 10px\">\n																									<div style=\"color:#777777;line-height:120%;font-family:Arial, Helvetica Neue, Helvetica, sans-serif;\">\n																										<div style=\"font-size:12px;line-height:14px;color:#777777;font-family:Arial, Helvetica Neue, Helvetica, sans-serif;text-align:left;\">\n																											<p style=\"margin: 0;font-size: 14px;line-height: 17px\">\n																												<span style=\"font-size: 16px; line-height: 19px;\">Вы получили это письмо, потому что подписались на новостную рассылку нашего сайта.<br />\n																												Для завершения процедуры подписки подтвердите свой e-mail, нажав на кнопку ниже.</span>\n																											</p>\n																										</div>\n																									</div>\n																								</td>\n																							</tr>\n																						</tbody>\n																					</table>\n\n																					<table cellpadding=\"0\" cellspacing=\"0\" style=\"border-spacing: 0;border-collapse: collapse;vertical-align: top\" width=\"100%\">\n																						<tbody>\n																							<tr style=\"vertical-align: top\">\n																								<td style=\"word-break: break-word;border-collapse: collapse !important;vertical-align: top;padding-top: 15px;padding-right: 10px;padding-bottom: 10px;padding-left: 10px\">\n																									<div style=\"color:#aaaaaa;line-height:120%;font-family:Arial, Helvetica Neue, Helvetica, sans-serif;\">\n																										<div style=\"font-size:14px;line-height:17px;color:#aaaaaa;font-family:Arial, Helvetica Neue, Helvetica, sans-serif;text-align:left;\">\n																											<p style=\"margin: 0;font-size: 14px;line-height: 17px\">\n																												Если это письмо Вы получили по ошибке, можете его удалить или просто ничего не делать. К списку Вы не будете добавлены, если не нажмёте на указанную ссылку.\n																											</p>\n																										</div>\n																									</div>\n																								</td>\n																							</tr>\n																						</tbody>\n																					</table>\n\n																					<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"border-spacing: 0;border-collapse: collapse;vertical-align: top\" width=\"100%\">\n																						<tbody>\n																							<tr style=\"vertical-align: top\">\n																								<td align=\"center\" class=\"button-container\" style=\"word-break: break-word;border-collapse: collapse !important;vertical-align: top;padding-top: 15px;padding-right: 10px;padding-bottom: 10px;padding-left: 10px\">\n																									<table align=\"center\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"border-spacing: 0;border-collapse: collapse;vertical-align: top\" width=\"100%\">\n																										<tbody>\n																											<tr style=\"vertical-align: top\">\n																												<td align=\"center\" class=\"button\" style=\"word-break: break-word;border-collapse: collapse !important;vertical-align: top\" valign=\"middle\" width=\"100%\">\n																													<!--[if mso]>\n                <v:roundrect xmlns:v=\"urn:schemas-microsoft-com:vml\" xmlns:w=\"urn:schemas-microsoft-com:office:word\" href=\"\"\n                  style=\"\n                    height:42px;\n                    v-text-anchor:middle;\n                    width:112px;\"\n                    arcsize=\"12%\"\n                    strokecolor=\"#C7702E\"\n                    fillcolor=\"#C7702E\" >\n                <w:anchorlock/>\n                  <center \n                    style=\"color:#ffffff;\n                      font-family:Arial, Helvetica Neue, Helvetica, sans-serif;\n                      font-size:16px;\">\n              <![endif]--><!--[if !mso]><!- - -->\n																													<div align=\"center\" style=\"display: inline-block;\n              border-radius: 5px; \n              -webkit-border-radius: 5px; \n              -moz-border-radius: 5px; \n              max-width: 100%;\n              width: auto;\n              border-top: 0px solid transparent;\n              border-right: 0px solid transparent;\n              border-bottom: 0px solid transparent;\n              border-left: 0px solid transparent;\">\n																														<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"border-spacing: 0;border-collapse: collapse;vertical-align: top;height: 42\" width=\"100%\">\n																															<tbody>\n																																<tr style=\"vertical-align: top\">\n																																	<td style=\"word-break: break-word;border-collapse: collapse !important;vertical-align: top;border-radius: 5px;                   -webkit-border-radius: 5px;                   -moz-border-radius: 5px;                  color: #ffffff;                  background-color: #C7702E;                  padding-top: 5px;                   padding-right: 20px;                  padding-bottom: 5px;                  padding-left: 20px;                  font-family: Arial, Helvetica Neue, Helvetica, sans-serif;text-align: center\" valign=\"middle\">\n																																		<!--<![endif]--><a href=\"[CONFIRM_LINK]\" style=\"display: inline-block;text-decoration: none;-webkit-text-size-adjust: none;text-align: center;background-color: #C7702E;color: #ffffff\" target=\"_blank\"><span style=\"font-family:Arial, Helvetica Neue, Helvetica, sans-serif;font-size:16px;line-height:32px;\">Подтвердить</span> </a> <!--[if !mso]><!- - -->\n																																	</td>\n																																</tr>\n																															</tbody>\n																														</table>\n																													</div>\n																													<!--<![endif]--><!--[if mso]>\n                    </center>\n                </v:roundrect>\n              <![endif]-->\n																												</td>\n																											</tr>\n																										</tbody>\n																									</table>\n																								</td>\n																							</tr>\n																						</tbody>\n																					</table>\n																				</td>\n																			</tr>\n																		</tbody>\n																	</table>\n																</div>\n																<!--[if (gte mso 9)|(IE)]></td><![endif]--><!--[if (gte mso 9)|(IE)]></td></tr></table><![endif]-->\n															</td>\n														</tr>\n													</tbody>\n												</table>\n											</td>\n										</tr>\n									</tbody>\n								</table>\n								<!--[if mso]>\n                    </td></tr></table>\n                    <![endif]--><!--[if (IE)]>\n                    </td></tr></table>\n                    <![endif]-->\n							</td>\n						</tr>\n					</tbody>\n				</table>\n\n				<table align=\"center\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"border-spacing: 0;border-collapse: collapse;vertical-align: top;background-color: #444444\" width=\"100%\">\n					<tbody>\n						<tr style=\"vertical-align: top\">\n							<td style=\"word-break: break-word;border-collapse: collapse !important;vertical-align: top\" width=\"100%\">\n								<!--[if gte mso 9]>\n                    <table id=\"outlookholder\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\"><tr><td>\n                    <![endif]--><!--[if (IE)]>\n                    <table width=\"500\" align=\"center\" cellpadding=\"0\" cellspacing=\"0\" border=\"0\">\n                        <tr>\n                            <td>\n                    <![endif]-->\n								<table align=\"center\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" class=\"container\" style=\"border-spacing: 0;border-collapse: collapse;vertical-align: top;max-width: 500px;margin: 0 auto;text-align: inherit\" width=\"100%\">\n									<tbody>\n										<tr style=\"vertical-align: top\">\n											<td style=\"word-break: break-word;border-collapse: collapse !important;vertical-align: top\" width=\"100%\">\n												<table bgcolor=\"transparent\" cellpadding=\"0\" cellspacing=\"0\" class=\"block-grid\" style=\"border-spacing: 0;border-collapse: collapse;vertical-align: top;width: 100%;max-width: 500px;color: #333;background-color: transparent\" width=\"100%\">\n													<tbody>\n														<tr style=\"vertical-align: top\">\n															<td style=\"word-break: break-word;border-collapse: collapse !important;vertical-align: top;text-align: center;font-size: 0\">\n																<!--[if (gte mso 9)|(IE)]><table width=\"100%\" align=\"center\" bgcolor=\"transparent\" cellpadding=\"0\" cellspacing=\"0\" border=\"0\"><tr><![endif]--><!--[if (gte mso 9)|(IE)]><td valign=\"top\" width=\"500\"><![endif]-->\n																<div class=\"col num12\" style=\"display: inline-block;vertical-align: top;width: 100%\">\n																	<table align=\"center\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"border-spacing: 0;border-collapse: collapse;vertical-align: top\" width=\"100%\">\n																		<tbody>\n																			<tr style=\"vertical-align: top\">\n																				<td style=\"word-break: break-word;border-collapse: collapse !important;vertical-align: top;background-color: transparent;padding-top: 25px;padding-right: 0px;padding-bottom: 25px;padding-left: 0px;border-top: 0px solid transparent;border-right: 0px solid transparent;border-bottom: 0px solid transparent;border-left: 0px solid transparent\">\n																					<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"border-spacing: 0;border-collapse: collapse;vertical-align: top\" width=\"100%\">\n																						<tbody>\n																							<tr style=\"vertical-align: top\">\n																								<td align=\"center\" style=\"word-break: break-word;border-collapse: collapse !important;vertical-align: top\" valign=\"top\">\n																									<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"border-spacing: 0;border-collapse: collapse;vertical-align: top\">\n																										<tbody>\n																											<tr style=\"vertical-align: top\">\n																												<td align=\"center\" style=\"word-break: break-word;border-collapse: collapse !important;vertical-align: top;text-align: center;padding-top: 10px;padding-right: 10px;padding-bottom: 10px;padding-left: 10px;max-width: 156px\" valign=\"top\">\n																													<!--[if (gte mso 9)|(IE)]>\n            <table width=\"141\" align=\"left\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\n              <tr>\n                <td align=\"left\">\n            <![endif]-->\n																													<table align=\"left\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"border-spacing: 0;border-collapse: collapse;vertical-align: top\" width=\"100%\">\n																														<tbody>\n																															<tr style=\"vertical-align: top\">\n																																<td align=\"left\" style=\"word-break: break-word;border-collapse: collapse !important;vertical-align: top\" valign=\"middle\">\n																																	<table align=\"left\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" height=\"37\" style=\"border-spacing: 0;border-collapse: collapse;vertical-align: top;padding: 0 5px 5px 0\">\n																																		<tbody>\n																																			<tr style=\"vertical-align: top\">\n																																				<td align=\"left\" style=\"word-break: break-word;border-collapse: collapse !important;vertical-align: top\" valign=\"middle\" width=\"37\">\n																																					<a href=\"https://vk.com\" target=\"_blank\" title=\"Vkontakte\"><img alt=\"Vkontakte\" src=\"".$domain."/uploads/templates/vkontakte@2x.png\" style=\"outline: none;text-decoration: none;-ms-interpolation-mode: bicubic;clear: both;display: block;border: none;height: auto;line-height: 100%;max-width: 32px !important\" title=\"Vkontakte\" width=\"32\" /> </a>\n																																				</td>\n																																			</tr>\n																																		</tbody>\n																																	</table>\n\n																																	<table align=\"left\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" height=\"37\" style=\"border-spacing: 0;border-collapse: collapse;vertical-align: top;padding: 0 5px 5px 0\">\n																																		<tbody>\n																																			<tr style=\"vertical-align: top\">\n																																				<td align=\"left\" style=\"word-break: break-word;border-collapse: collapse !important;vertical-align: top\" valign=\"middle\" width=\"37\">\n																																					<a href=\"https://www.facebook.com/\" target=\"_blank\" title=\"Facebook\"><img alt=\"Facebook\" src=\"".$domain."/uploads/templates/facebook2x.png\" style=\"outline: none;text-decoration: none;-ms-interpolation-mode: bicubic;clear: both;display: block;border: none;height: auto;line-height: 100%;max-width: 32px !important\" title=\"Facebook\" width=\"32\" /> </a>\n																																				</td>\n																																			</tr>\n																																		</tbody>\n																																	</table>\n\n																																	<table align=\"left\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" height=\"37\" style=\"border-spacing: 0;border-collapse: collapse;vertical-align: top;padding: 0 5px 5px 0\">\n																																		<tbody>\n																																			<tr style=\"vertical-align: top\">\n																																				<td align=\"left\" style=\"word-break: break-word;border-collapse: collapse !important;vertical-align: top\" valign=\"middle\" width=\"37\">\n																																					<a href=\"http://twitter.com/\" target=\"_blank\" title=\"Twitter\"><img alt=\"Twitter\" src=\"".$domain."/uploads/templates/twitter2x.png\" style=\"outline: none;text-decoration: none;-ms-interpolation-mode: bicubic;clear: both;display: block;border: none;height: auto;line-height: 100%;max-width: 32px !important\" title=\"Twitter\" width=\"32\" /> </a>\n																																				</td>\n																																			</tr>\n																																		</tbody>\n																																	</table>\n																																</td>\n																															</tr>\n																														</tbody>\n																													</table>\n																													<!--[if (gte mso 9)|(IE)]>\n                </td>\n              </tr>\n            </table>\n            <![endif]-->\n																												</td>\n																											</tr>\n																										</tbody>\n																									</table>\n																								</td>\n																							</tr>\n																						</tbody>\n																					</table>\n\n																					<table cellpadding=\"0\" cellspacing=\"0\" style=\"border-spacing: 0;border-collapse: collapse;vertical-align: top\" width=\"100%\">\n																						<tbody>\n																							<tr style=\"vertical-align: top\">\n																								<td style=\"word-break: break-word;border-collapse: collapse !important;vertical-align: top;padding-top: 10px;padding-right: 10px;padding-bottom: 10px;padding-left: 10px\">\n																									<div style=\"color:#bbbbbb;line-height:120%;font-family:Arial, Helvetica Neue, Helvetica, sans-serif;\">\n																										<div style=\"font-size:18px;line-height:22px;text-align:center;color:#bbbbbb;font-family:Arial, Helvetica Neue, Helvetica, sans-serif;\">\n																											<p style=\"margin: 0;font-size: 18px;line-height: 22px;text-align: center\">\n																												<span style=\"font-size: 14px; line-height: 16px;\">Это письмо было отправлено с помощью скрипта для массовой e-mail рассылки <span style=\"text-decoration: underline; line-height: 16px; font-size: 14px;\"><strong><a href=\"http://mailer.moguta.ru/\" style=\"color:#C7702E\" target=\"_blank\">Moguta.Mailer</a></strong></span></span>\n																											</p>\n																										</div>\n																									</div>\n																								</td>\n																							</tr>\n																						</tbody>\n																					</table>\n																				</td>\n																			</tr>\n																		</tbody>\n																	</table>\n																</div>\n																<!--[if (gte mso 9)|(IE)]></td><![endif]--><!--[if (gte mso 9)|(IE)]></td></tr></table><![endif]-->\n															</td>\n														</tr>\n													</tbody>\n												</table>\n											</td>\n										</tr>\n									</tbody>\n								</table>\n								<!--[if mso]>\n                    </td></tr></table>\n                    <![endif]--><!--[if (IE)]>\n                    </td></tr></table>\n                    <![endif]-->\n							</td>\n						</tr>\n					</tbody>\n				</table>\n			</td>\n		</tr>\n	</tbody>\n</table>\n', '<meta charset=\"utf-8\">\n<style type=\"text/css\">.submit-button {\n            border: none;\n            background: #60cc00;\n            -webkit-border-radius: 4px;\n            -moz-border-radius: 4px;\n            border-radius: 4px;\n            color: #31540c;\n            font-family: helvetica, serif;\n            padding: 8.5px 18px;\n            font-size: 14px;\n            text-decoration: none;\n            vertical-align: middle;\n            -moz-transition: all 1s ease-out;\n            -o-transition: all 1s ease-out;\n            -webkit-transition: all 1s ease-out;\n            cursor: pointer;\n        }\n        .submit-button:hover {\n            background: #b3ff70;\n        }\n        .sbscr-form {\n            width: 320px;\n            font-family: sans-serif;\n            margin: 0 auto;\n            background-color: #f0f8ff;\n        }\n        .sbscr-form form {\n    		border: 1px solid #dedede;\n            padding: 15px 0;\n            border-top: none;\n        }\n        .sbscr-form h2 {\n            background-color: #2b475b;\n            color: #fff;\n            font-size: 18px;\n            padding: 20px 0;\n            margin: 0;\n        }\n        .sbscr-form input[type=\"email\"] {\n            height: 35px;\n            font-size: 15px;\n            margin: 20px 0;\n            border-radius: 5px;\n            -webkit-border-radius: 5px;\n            -moz-border-radius: 5px;\n            padding-left: 5px;\n            background-color: #fafcff;	            \n   			border: 1px solid #dedede;\n        }\n        .sbscr-form form div >* {\n            width: 250px;\n            display: inline-block;\n        }\n</style>\n<div class=\"sbscr-form\">\n	<h2 style=\"text-align: center;\">\n		Подпишись на рассылку\n	</h2>\n\n	<form action=\"".$domain."/subscribe/klienty-kompanii\" id=\"subscribe\" method=\"get\" name=\"subscribe\">\n	<div style=\"text-align: center;\">\n		<span>Будь в курсе всех самых свежих новостей!</span> <input class=\"form-field\" name=\"addsub\" type=\"hidden\" value=\"1\" /> <input name=\"email\" placeholder=\"Ваш E-mail\" type=\"email\" value=\"\" /><br />\n		<input class=\"submit-button\" onclick=\"if(!$(\'input[name=email]\').val()){alert(\" type=\"submit\" value=\"Подписаться\" />&nbsp;\n	</div>\n	</form>\n</div>\n')",
 
"INSERT INTO `".$prefix."template_letter` (`id`, `html`, `rss`, `title`) VALUES
(1, '<meta charset=\"utf-8\"/><div style=\"Margin: 0; padding: 0;background-color:#F1F8FB;\"><table style=\"font-style:normal;font-variant:normal;font-weight:normal;font-size:13px;font-family:Arial;line-height:normal;Margin:0;padding-top:0;padding-bottom:0;padding-right:0;padding-left:0;min-width:100%;\"><tbody><tr><td background=\"".$domain."/uploads/templates/back.png\"><center class=\"wrapper\" style=\"width:100%;table-layout:fixed;-webkit-text-size-adjust:100%;-ms-text-size-adjust:100%;\"><div class=\"webkit\" style=\"max-width:846px;\"><table align=\"center\" class=\"outer\" style=\"border-collapse:collapse;Margin:0 auto;width:100%;max-width:846px;\"><tbody><tr><td style=\"padding-top:0;padding-bottom:0;padding-right:0;padding-left:0;\">&nbsp;</td><td style=\"padding-top:0;padding-bottom:0;padding-right:0;padding-left:0;\">&nbsp;</td><td class=\"header-image\" style=\"padding-top:0;padding-bottom:0;padding-right:0;padding-left:0;\"><img alt=\"\" src=\"".$domain."/uploads/templates/suite.png\" style=\"border-width:0;width:100%;height:auto;display:block;\" /></td><td style=\"padding-top:0;padding-bottom:0;padding-right:0;padding-left:0;\">&nbsp;</td><td style=\"padding-top:0;padding-bottom:0;padding-right:0;padding-left:0;\">&nbsp;</td></tr><tr><td>&nbsp;</td><td colspan=\"3\" style=\"padding-top:0;padding-bottom:0;padding-right:0;padding-left:0;height:20px;background:#ffffff;\">&nbsp;</td><td>&nbsp;</td></tr><tr><td rowspan=\"2\" style=\"padding-top:0;padding-bottom:0;padding-right:0;padding-left:0;vertical-align:top;text-align:right;\"><img alt=\"\" src=\"".$domain."/uploads/templates/yellow_bg_left.png\" style=\"border-width:0;width:12px;height:auto;\" /></td><td colspan=\"3\" style=\"padding: 0px; height: 79px; text-align: center; background: linear-gradient(rgb(255, 224, 118), rgb(255, 207, 89));\"><span style=\"font-family:trebuchet ms,helvetica,sans-serif;display: block;text-align: left;margin-left: 45px;\"><img src=\"".$domain."/uploads/templates/pushkin.png\" style=\"width: 65px;vertical-align: middle;\" alt=\"\"><span style=\"font-size:24px;margin-left: 10px;\">Александр Пушкин - письмо Наталье Гончаровой</span></span></td><td rowspan=\"2\" style=\"padding-top:0;padding-bottom:0;padding-right:0;padding-left:0;vertical-align:top;text-align:left;\">&nbsp;</td></tr><tr><td colspan=\"3\" style=\"padding-top:0;padding-bottom:0;padding-right:0;padding-left:0;height:14px;background:#ffffff;vertical-align: top;\"><img alt=\"\" src=\"".$domain."/uploads/templates/yellow_bg_shadow_740.png\" style=\"border-width:0;width:100%;height:auto;display:block;\" /></td></tr><tr><td style=\"padding-top:0;padding-bottom:0;padding-right:0;padding-left:0;vertical-align: top;\" width=\"54\"><img alt=\"\" src=\"".$domain."/uploads/templates/hand_left.png\" style=\"border-width:0;width:100%;height:auto;\" /></td><td style=\"padding-top:0;padding-bottom:0;padding-right:0;padding-left:0;vertical-align: top;background-color: #ffffff;\" width=\"45\"><img alt=\"\" src=\"".$domain."/uploads/templates/fingers_left.png\" style=\"border-width:0;width:100%;height:auto;\" /></td><td class=\"columns\" style=\"padding: 0px 0px 27px;vertical-align: top;font-size: 17px; background-color: rgb(255, 255, 255);\"><p><img src=\"".$domain."/uploads/templates/natgonch.png\" align=\"right\"/>Сегодня – годовщина того дня, когда я вас впервые увидел; этот день в моей жизни. Чем более я думаю, тем сильнее убеждаюсь, что моё существование не может быть отделено от вашего: я создан для того, чтобы любить вас и следовать за вами; все другие мои заботы – одно заблуждение и безумие. Вдали от вас меня неотступно преследуют сожаления о счастье, которым я не успел насладиться. Рано или поздно, мне, однако, придётся всё бросить и пасть к вашим ногам. Мысль о том дне, когда мне удастся иметь клочок земли в… одна только улыбается мне и оживляет среди тяжелой тоски. Там мне можно будет бродить вокруг вашего дома, встречать вас, следовать за вами… </p><p>Пушкин А.С. Москва, март 1830 г.</p></td><td style=\"padding-top:0;padding-bottom:0;padding-right:0;padding-left:0;vertical-align: top;background-color: #ffffff;\" width=\"45\"><img alt=\"\" src=\"".$domain."/uploads/templates/fingers_right.png\" style=\"border-width:0;width:100%;height:auto;\" /></td><td style=\"padding-top:0;padding-bottom:0;padding-right:0;padding-left:0;vertical-align: top;\" width=\"54\"><img alt=\"\" src=\"".$domain."/uploads/templates/hand_right.png\" style=\"border-width:0;width:100%;height:auto;\" /></td></tr><tr><td>&nbsp;</td><td style=\"background-color: #111111;\">&nbsp;</td><td style=\"background-color: #111111;\"><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"margin: 0 auto; padding: 0; font-size: 11px;width:\"><tbody><tr><td colspan=\"3\" height=\"20\">&nbsp;</td></tr><tr><td height=\"45\" style=\"text-align:center;\"><a href=\"javascript:void(0);\" style=\"text-decoration:none;\"><img src=\"".$domain."/uploads/templates/fb.png\" style=\"border-width:0;\" /> </a>&nbsp; <a href=\"javascript:void(0);\" style=\"text-decoration:none;\"> <img src=\"".$domain."/uploads/templates/vk.png\" style=\"border-width:0;\" /> </a>&nbsp; <a href=\"javascript:void(0);\" style=\"text-decoration:none;\"> <img src=\"".$domain."/uploads/templates/in.png\" style=\"border-width:0;\" /> </a>&nbsp; <a href=\"javascript:void(0);\" style=\"text-decoration:none;\"> <img src=\"".$domain."/uploads/templates/inst.png\" style=\"border-width:0;\" /> </a>&nbsp; <a href=\"javascript:void(0);\" style=\"text-decoration:none;\"> <img src=\"".$domain."/uploads/templates/yt.png\" style=\"border-width:0;\" /> </a>&nbsp; <a href=\"javascript:void(0);\" style=\"text-decoration:none;\"> <img src=\"".$domain."/uploads/templates/pr.png\" style=\"border-width:0;\" /> </a></td></tr><tr><td colspan=\"3\" height=\"20\" style=\"text-align: center;font-size: 11px; color:#fff;\">Отписаться от рассылки - [UNSUB]</td></tr></tbody></table></td><td style=\"background-color: #111111;\">&nbsp;</td><td>&nbsp;</td></tr></tbody></table></div></center></td></tr></tbody></table></div>', '0', 'business'),
(2, '<meta charset=\"utf-8\"><table background=\"".$domain."/uploads/templates/webinar-pattern-2.png\" border=\"0\" cellpadding=\"50\" cellspacing=\"0\" style=\"border-collapse: collapse; font-family: Trebuchet MS, Tahoma, sans-serif; font-size: 14px; margin: 0; padding: 0\" width=\"100%\"><tbody><tr><td align=\"center\" height=\"100%\" style=\"text-align: center\" valign=\"top\"><table bgcolor=\"#ffffff\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"border-collapse: collapse; margin-left: auto; margin-right: auto; text-align: left;\" width=\"625\"><tbody><tr><td valign=\"top\"><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"border-collapse: collapse\" width=\"100%\"><tbody><tr><td bgcolor=\"#38B449\" style=\"border: 1px solid #838383;\" valign=\"middle\"><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"border-collapse: collapse; margin: 0; padding: 0\" width=\"100%\"><tbody><tr><td colspan=\"3\" height=\"23\">&nbsp;</td></tr><tr><td height=\"28\" width=\"20\">&nbsp;</td><td height=\"28\"><img src=\"".$domain."/uploads/templates/mozart.png\" style=\"width: 80px;vertical-align: middle;\" alt=\"\"><span style=\"font-size: 22px;margin-left: 10px;\">Вольфганг Амадей Моцарт — письмо Констанце</span></td><td height=\"28\" width=\"20\">&nbsp;</td></tr><tr><td colspan=\"3\" height=\"17\">&nbsp;</td></tr></tbody></table></td></tr><tr><td style=\"border: 1px solid #cecece\"><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"border-collapse: collapse; margin: 0; padding: 0\" width=\"100%\"><tbody><tr><td colspan=\"3\" height=\"30\">&nbsp;</td></tr><tr><td width=\"20\">&nbsp;</td><td height=\"28\"><div style=\"font-family: Trebuchet MS, Tahoma, sans-serif; font-size: 15px; line-height: 1.4; margin: 0 0 15px;\"><p><img src=\"".$domain."/uploads/templates/const.png\" align=\"right\" alt=\"\"/>Моя любимая женушка, я пользуюсь возможностью, чтобы написать тебе, моя дорогая. Как поживаешь? Так же часто думаешь обо мне, как я о тебе?<br /><br />Каждую минуту я смотрю на твой портрет и плачу от счастья и печали. Береги себя ради меня и будь здорова, любимая!<br /> <br />Прощай, целую тебя нежно-нежно миллион раз. Навеки твой, пока смерть не разлучит нас.</p><p>Вольфганг Амадей Моцарт 1789г.</p></div></td><td width=\"20\">&nbsp;</td></tr><tr><td colspan=\"3\" height=\"20\">&nbsp;</td></tr></tbody></table></td></tr><tr><td style=\"background: #f6f6f6; border: 1px solid #cecece\"><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"border-collapse: collapse; width: 100%;\"><tbody><tr><td height=\"20\" width=\"20\">&nbsp;</td><td>&nbsp;</td><td height=\"20\" width=\"20\">&nbsp;</td></tr><tr><td>&nbsp;</td><td><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"width: 100%;  margin-bottom:10px\"><tbody><tr><td>&nbsp;</td><td width=\"20\">&nbsp;</td><td width=\"32\"><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"border-collapse: collapse;\" width=\"32\"><tbody><tr><td width=\"32\"><a href=\"javascript:void(0);\" target=\"_blank\"><img alt=\"Twitter\" height=\"32\" src=\"".$domain."/uploads/templates/twitter.png\" title=\"Twitter\" width=\"32\" /></a></td></tr></tbody></table></td><td width=\"6\">&nbsp;</td><td width=\"32\"><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"border-collapse: collapse\" width=\"32\"><tbody><tr><td width=\"32\"><a href=\"javascript:void(0);\" target=\"_blank\"><img alt=\"Facebook\" height=\"32\" src=\"".$domain."/uploads/templates/facebook.png\" title=\"Facebook\" width=\"32\" /></a></td></tr></tbody></table></td><td width=\"6\">&nbsp;</td><td width=\"32\"><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"border-collapse: collapse\" width=\"32\"><tbody><tr><td width=\"32\"><a href=\"javascript:void(0);\" target=\"_blank\"><img alt=\"Vkontakte\" height=\"32\" src=\"".$domain."/uploads/templates/vknt.png\" title=\"Vkontakte\" width=\"32\" /></a></td></tr></tbody></table></td></tr></tbody></table></td><td>&nbsp;</td></tr></tbody></table></td></tr></tbody><tfoot bgcolor=\"#ffffff\"><tr><td style=\"border: 1px solid #cecece\"><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" height=\"50\" style=\"margin: 0; padding: 0\" width=\"100%\"><tbody><tr><td colspan=\"3\" height=\"20\">&nbsp;</td></tr><tr><td width=\"20\">&nbsp;</td><td align=\"center\" valign=\"middle\">&nbsp;</td><td width=\"20\">&nbsp;</td></tr><tr><td colspan=\"3\" height=\"20\" style=\"text-align: center;font-size: 11px;\">Отписаться от рассылки - [UNSUB]</td></tr></tbody></table></td></tr></tfoot></table></td></tr></tbody></table></td></tr></tbody></table>', '0', 'light'),
(3, '<meta charset=\"utf-8\"/><table align=\"center\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" dir=\"ltr\" style=\"font-size:16px;background-image:url(".$domain."/uploads/templates/unnamed.jpg);background-color:transparent;background-position:50% 0%\" width=\"100%\"><tbody><tr><td align=\"center\" style=\"margin:0;padding:35px 0 30px 0\" valign=\"top\"><div style=\"margin:auto\"><table align=\"center\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"width:100%;max-width:750px\" width=\"750\"><tbody><tr><td align=\"center\" style=\"margi-n:0;padding:0\" valign=\"top\"><table align=\"center\" bgcolor=\"#ffffff\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"><tbody><tr style=\"background: #80d0ff;\"><td align=\"center\" style=\"margin:0;padding:0\" valign=\"top\"><table align=\"center\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"><tbody><tr><td align=\"left\" style=\"margin:0;padding:8px 10px 8px 50px;font-family:Helvetica,sans-serif;color:#fff;line-height:1.2\" valign=\"top\"><img src=\"".$domain."/uploads/templates/napoleon.png\" style=\"width: 65px;vertical-align: middle;\" alt=\"\" /><span style=\"font-size: 22px;margin-left: 10px;\">Наполеон Бонапарт – письмо Жозефине</span></td></tr></tbody></table></td></tr><tr><td align=\"center\" style=\"margin:0;padding:0\" valign=\"top\"><table align=\"center\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"><tbody><tr><td style=\"margin:0px;padding: 28px 50px 15px;font-family:Helvetica,sans-serif;color:rgb(98,98,98);line-height:1.2;\" valign=\"top\"><p><img src=\"".$domain."/uploads/templates/josef.png\" align=\"right\" alt=\"\">Не было дня, чтобы я не любил тебя; не было ночи, чтобы я не сжимал тебя в своих объятиях. Я не выпиваю и чашки чая, чтобы не проклинать свою гордость и амбиции, которые вынуждают меня оставаться вдалеке от тебя, душа моя. В самом разгаре службы, стоя во главе армии или проверяя лагеря, я чувствую, что мое сердце занято только возлюбленной Жозефиной. Она лишает меня разума, заполняет собой мои мысли.</p><p>Жозефина! Жозефина! Помнишь ли ты, что я тебе сказал когда-то: природа наградила меня сильной, непоколебимой душой. А тебя она вылепила из кружев и воздуха. Ты перестала любить меня? Прости меня, любовь всей моей жизни, моя душа разрывается.</p><p>Сердце моё, принадлежащее тебе, полно страха и тоски…Мне больно оттого, что ты не называешь меня по имени. Я буду ждать, когда ты напишешь его. Прощай! Ах, если ты разлюбила меня, значит, ты меня никогда не любила! И мне будет о чем сожалеть!</p><p>Наполеон Бонапарт 1796г.</p></td></tr></tbody></table></td></tr><tr><td align=\"center\" bgcolor=\"#ffffff\" style=\"padding:0 0 18px 0;margin:0\" valign=\"top\"><table align=\"center\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"margin:0px;padding:0px\" width=\"100%\"><tbody><tr><td align=\"center\" bgcolor=\"#ffffff\" style=\"color:rgb(255,255,255);font-family:Helvetica,sans-serif;font-size:20px;font-weight:bold;padding:0px\" valign=\"middle\"><div style=\"width:100%;margin-top:0px;margin-bottom:0px;text-align:center\"><table align=\"center\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"margin:0px auto\"><tbody><tr><td align=\"center\" valign=\"middle\"><a href=\"#\" style=\"width: 50px;height: 20px;display:inline-block;text-decoration:none;color:#fff;border-radius:5px;padding:8px 33px;margin:0px;;background-color:rgb(0,129,204);background-position:0% 0%\">Кнопка</a></td></tr></tbody></table></div></td></tr></tbody></table></td></tr><tr><td align=\"left\" style=\"margin:0;padding:0\" valign=\"top\"><table align=\"left\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"><tbody><tr><td align=\"left\" style=\"padding:10px 42px 10px 36px;margin:0\" valign=\"top\"><div style=\"min-height:1px;line-height:1px;border-top:1px solid #f5eeec\"><img alt=\"\" height=\"1\" style=\"display:block\" width=\"1\" /></div></td></tr></tbody></table></td></tr></tbody></table></td></tr></tbody></table></div></td></tr></tbody><tfoot><tr><td align=\"center\" style=\"margin:0px;padding:0px\"><div style=\"margin:auto\"><table align=\"center\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"width:100%;max-width:750px\" width=\"750\"><tbody><tr><td align=\"center\" style=\"border-top:15px solid #fff;border-bottom:15px solid #fff;background-color:#fff\" valign=\"top\"><table align=\"center\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"><tbody><tr><td align=\"center\" style=\"min-width:320px;margin:0px;padding:0px\" valign=\"top\" width=\"auto\"><table align=\"left\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"width:100%\"><tbody><tr><td height=\"45\" style=\"text-align:center;\"><a href=\"javascript:void(0);\" style=\"text-decoration:none;\"><img src=\"".$domain."/uploads/templates/fb.png\" style=\"border-width:0;\" /> </a>&nbsp; <a href=\"javascript:void(0);\" style=\"text-decoration:none;\"> <img src=\"".$domain."/uploads/templates/vk.png\" style=\"border-width:0;\" /> </a>&nbsp; <a href=\"javascript:void(0);\" style=\"text-decoration:none;\"> <img src=\"".$domain."/uploads/templates/in.png\" style=\"border-width:0;\" /> </a>&nbsp; <a href=\"javascript:void(0);\" style=\"text-decoration:none;\"> <img src=\"".$domain."/uploads/templates/inst.png\" style=\"border-width:0;\" /> </a>&nbsp; <a href=\"javascript:void(0);\" style=\"text-decoration:none;\"> <img src=\"".$domain."/uploads/templates/yt.png\" style=\"border-width:0;\" /> </a>&nbsp; <a href=\"javascript:void(0);\" style=\"text-decoration:none;\"> <img src=\"".$domain."/uploads/templates/pr.png\" style=\"border-width:0;\" /> </a></td></tr><tr><td colspan=\"3\" height=\"20\" style=\"text-align: center;font-size: 11px; color:#000;\">Отписаться от рассылки - [UNSUB]</td></tr></tbody></table></td><td align=\"right\" style=\"margin:0px;padding:0px;padding-top:10px\" valign=\"top\"><table align=\"right\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tbody><tr><td align=\"right\" style=\"margin:0;padding:0;padding-right:10px\" valign=\"top\">&nbsp;</td></tr></tbody></table></td></tr></tbody></table></td></tr></tbody></table></div></td></tr></tfoot></table>', '0', 'gray'),
(4, '<meta charset=\"utf-8\"/><table bgcolor=\"#f6f6f6\" cellpadding=\"0\" cellspacing=\"0\" class=\"pack_main\" style=\"background-color:#f6f6f6;width:100%;\" width=\"100%\"><tbody><tr><td align=\"center\" class=\"pack_cell\" style=\"padding:0 0 0 0\" valign=\"top\"><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"width:100%;\" width=\"100%\"><tbody><tr><td align=\"center\" style=\"width:860px;\" valign=\"top\" width=\"860\"><div class=\"webkit\" style=\"max-width:860px; margin: 0px auto;\"><table bgcolor=\"#f6f6f6\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" class=\"pad_null\" style=\"background-color: #f6f6f6; background-image:none; padding:0; border-spacing:0;Margin:0 auto;width:100%;max-width:860px;\" summary=\"\" width=\"100%\"><tbody><tr><td align=\"center\" class=\"pack_cell\">&nbsp;<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" class=\"pack_cell outer\" style=\"max-width:860px;\" summary=\"\" width=\"100%\"><tbody><tr><td class=\"pack_cell header\"><!--if toptilte for !if--><table bgcolor=\"#222222\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" class=\"pack_cell headmenu\" lang=\"x-headmenu\" summary=\"\" width=\"100%\"><tbody><tr><td bgcolor=\"#f6f6f6\" class=\"adv\" colspan=\"2\"><!--Р&nbsp;РµРєР»Р°РјР° 600С…90--></td></tr><tr><td class=\"pack_cell\" style=\"width:100%;max-width:550px;\" width=\"100%\"><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" class=\"pack_cell logo\" lang=\"x-logo\" summary=\"\" width=\"100%\"><tbody><tr><td align=\"center\" bgcolor=\"#c12133\" class=\"pack_cell\" height=\"50\" valign=\"middle\" width=\"180\" style=\"padding: 5px 0;\"><img src=\"".$domain."/uploads/templates/tolstoy.png\" alt=\"\" width=\"65\"></td><td class=\"pack_hide\" width=\"40\">&nbsp;</td><td align=\"left\" class=\"pack_hide\" valign=\"middle\"><table class=\"pack_hide\"><tbody><tr><td class=\"pack_hide\">&nbsp;</td></tr></tbody></table></td></tr></tbody></table></td><td align=\"right\" class=\"pack_hide\" width=\"50\"><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" class=\"pack_hide\" summary=\"\"><tbody><tr><td>&nbsp;&nbsp;</td><td valign=\"top\">&nbsp;</td><td>&nbsp;&nbsp;</td></tr></tbody></table></td></tr></tbody></table></td></tr><tr><td><table class=\"titleAuth\" style=\"width: 100%;border-collapse: collapse;border-bottom: 1px solid #e6e6e6;\" width=\"100%\"><tbody><tr><td class=\"pack_cell\" style=\"padding:0;\" valign=\"top\"><table bgcolor=\"#f6f6f6\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" height=\"81px\" style=\"width:100%;max-width:860px; height:81px;padding: 0 4px; border-left: 4px solid #c12133;border-right: 4px solid #c12133;\" valign=\"middle\" width=\"100%\"><tbody><tr><td><p style=\"font-size: 26px;color: #202020; text-align:center;\">Лев Толстой – письмо Софии Бернс</p></td></tr></tbody></table></td></tr></tbody></table></td></tr><tr><td class=\"pack_cell\"><font face=\"Arial, Helvetica, sans-serif\" size=\"1\" style=\"font-size: 8px;\">&nbsp;&nbsp;</font></td></tr><tr><td align=\"center\" class=\"pack_cell content\" lang=\"x-content\" style=\"padding-bottom: 20px;\"><table bgcolor=\"#f6f6f6\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"background-color: #f6f6f6; background-image: ;\" summary=\"\" width=\"100%\"><tbody><tr align=\"left\" valign=\"top\"><td bgcolor=\"#ffffff\" class=\"two_column\" style=\"padding: 0; background-color: #ffffff; background-image: none; \"><table align=\"center\" bgcolor=\"#004080\" border=\"0\" cellpadding=\"0\" cellspacing=\"1\" class=\"subscribe_body\" width=\"100%\"><tbody><tr><td bgcolor=\"#FFFFBB\" colspan=\"3\" style=\"padding: 20px 30px\"><font color=\"#5a2e2e\"><!-- issue_start --></font><p style=\"text-align: left;margin: 0px;line-height: normal;font-family: sans-serif;-webkit-text-stroke-color: rgb(0, 0, 0);-webkit-text-stroke-width: initial;font-size: 16px;color: #484242;\"><img src=\"".$domain."/uploads/templates/berns.png\" align=\"right\" alt=\"\">Софья Андреевна, мне становится невыносимо. Три недели я каждый день говорю: нынче все скажу, и ухожу с той же тоской, раскаянием, страхом и счастьем в душе. И каждую ночь, как и теперь, я перебираю прошлое, мучаюсь и говорю: зачем я не сказал, и как, и что бы я сказал. Я беру с собою это письмо, чтобы отдать его вам, ежели опять мне нельзя, или недостанет духу сказать вам всё. Ложный взгляд вашего семейства на меня состоит в том, как мне кажется, что я влюблён в вашу сестру Лизу. Это несправедливо. Повесть ваша засела у меня в голове, оттого, что, прочтя её, я убедился в том, что мне, Дублицкому, не пристало мечтать о счастье, что ваши отличные поэтические требования любви… что я не завидую и не буду завидовать тому, кого вы полюбите. Мне казалось, что я могу радоваться на вас, как на детей...<br/><br/>Скажите, как честный человек, хотите ли вы быть моей женой? Только ежели от всей души, смело вы можете сказать: да, а то лучше скажите: нет, ежели в вас есть тень сомнения в себе. Ради Бога, спросите себя хорошо. Мне страшно будет услышать: нет, но я его предвижу и найду в себе силы снести. Но ежели никогда мужем я не буду любимым так, как я люблю, это будет ужасно!</p><div>&nbsp;</div><font color=\"#5a2e2e\"><!-- issue_end--></font></td></tr><tr><td align=\"center\" bgcolor=\"#FF9999\" style=\"padding: 10px;\">&nbsp;</td></tr></tbody></table></td></tr></tbody></table></td></tr><tr><td><table bgcolor=\"#ffffff\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" class=\"lil\" lang=\"x-lil\" style=\"border: 1px solid #e6e6e6;background-color:#ffffff; width: 100%;max-width: 860px;margin: 0px auto;\" summary=\"\" width=\"100%\"><tbody><tr><td height=\"20px\">&nbsp;</td></tr><tr><td height=\"45\" style=\"text-align:center;\"><a href=\"javascript:void(0);\" style=\"text-decoration:none;\"><img src=\"".$domain."/uploads/templates/fb.png\" style=\"border-width:0;\" /> </a>&nbsp; <a href=\"javascript:void(0);\" style=\"text-decoration:none;\"> <img src=\"".$domain."/uploads/templates/vk.png\" style=\"border-width:0;\" /> </a>&nbsp; <a href=\"javascript:void(0);\" style=\"text-decoration:none;\"> <img src=\"".$domain."/uploads/templates/in.png\" style=\"border-width:0;\" /> </a>&nbsp; <a href=\"javascript:void(0);\" style=\"text-decoration:none;\"> <img src=\"".$domain."/uploads/templates/inst.png\" style=\"border-width:0;\" /> </a>&nbsp; <a href=\"javascript:void(0);\" style=\"text-decoration:none;\"> <img src=\"".$domain."/uploads/templates/yt.png\" style=\"border-width:0;\" /> </a>&nbsp; <a href=\"javascript:void(0);\" style=\"text-decoration:none;\"> <img src=\"".$domain."/uploads/templates/pr.png\" style=\"border-width:0;\" /> </a></td></tr><tr><td colspan=\"3\" height=\"20\" style=\"text-align: center;font-size: 11px; color:#000;\">Отписаться от рассылки - [UNSUB]</td></tr></tbody></table></td></tr><tr><td align=\"center\" style=\"background-image:none; padding:0; margin:0;\"><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" class=\"x-footer\" lang=\"x-footer\" style=\"background-image:none; padding:0; max-width: 860px;margin: 0px auto;\" summary=\"\" width=\"100%\"><tbody><tr><td colspan=\"2\">&nbsp;</td></tr><tr></tr><tr></tr><tr><td colspan=\"2\">&nbsp;</td></tr></tbody></table></td></tr></tbody></table><!--/table outer--></td></tr><tr><td>&nbsp;</td></tr><tr><td align=\"center\" style=\"background-image:none; padding:0; margin:0;\">&nbsp;</td></tr></tbody></table></div></td></tr></tbody></table></td></tr></tbody></table>', '0', 'table-yellow')",

"INSERT INTO `".$prefix."letter_status` (`id`, `title`) VALUES
(1, 'Остановлено'),
(2, 'Добавляется в очередь'),
(3, 'Рассылается'),
(4, 'Отправлено'),
(5, 'Автоответчик'),
(6, 'Черновик'),
(7, 'Автоответчик (черновик)'),
(8, 'Отменено')",

"INSERT INTO `".$prefix."setting` (`id`, `option`, `value`, `active`, `name`) VALUES
(1, 'adminEmail', '', 'Y', 'EMAIL_ADMIN'),
(2, 'sitename', '', 'Y', 'SITE_NAME'),
(3, 'noReplyEmail', '', 'Y', 'NOREPLY_EMAIL'),
(4, 'smtp', 'false', 'Y', 'SMTP'),
(5, 'smtpHost', '', 'Y', 'SMTP_HOST'),
(6, 'smtpLogin', '', 'Y', 'SMTP_LOGIN'),
(7, 'smtpPass', '', 'Y', 'SMTP_PASS'),
(8, 'smtpPort', '', 'Y', 'SMTP_PORT'),
(9, 'companyName', '', 'Y', 'COMPANY_NAME'),
(10, 'countRows', 'a:7:{s:13:\"autoresponder\";i:25;s:9:\"emailbase\";i:25;s:7:\"history\";i:25;s:6:\"letter\";i:25;s:9:\"listemail\";i:25;s:3:\"rss\";i:25;s:4:\"task\";i:25;}', 'N', ''),
(11, 'dkimDomain', '', 'Y', ' '),
(12, 'dkimPrivate', '.htkeyprivate', 'Y', ' '),
(13, 'dkimSelector', '', 'Y', ' '),
(14, 'dkimPass', '', 'Y', ' '),
(15, 'dkimEmail', '', 'Y', ' '),
(16, 'timeStartEngine', '', 'N', 'TIME_START_ENGINE'),
(17, 'timeLastUpdate', '', 'N', 'TIME_START_ENGINE'),
(18, 'licenceKey', '', 'N', 'LICENCE_KEY'),
(19, 'currentVersion', 'null', 'N', 'INFO_CUR_VERSION'),
(20, 'countTaskPacket', '50', 'N', 'INFO_CUR_VERSION'),
(21, 'smtpSSL', 'false', 'Y', ''),
(22, 'enableDKMI', 'false', 'Y', ''),
(23, 'countClicks', 'true', 'Y', ''),
(24, 'imapHost', '', 'Y', ''),
(25, 'imapSSL', 'false', 'Y', ''),
(26, 'imapPort', '', 'Y', ''),
(27, 'imapLogin', '', 'Y', ''),
(28, 'imapPass', '', 'Y', ''),
(29, 'enableIMAP', 'false', 'Y', ''),
(30, 'deleteLetterImap', 'true', 'Y', ''),
(31, 'nameFrom', '', 'Y', 'NOREPLY_NAME'),
(32, 'mg_host', '', 'Y', 'MG_HOST'),
(33, 'mg_username', '', 'Y', 'MG_USERNAME'),
(34, 'mg_password', '', 'Y', 'MG_PASSWORD'),
(35, 'mg_listname_default', '', 'Y', 'MG_LISTNAME_DEFAULT')
",

);
