<?php

/**
 * Класс Actioner - предназначен для обработки административных действий,
 * таких как добавление и удалени товаров, категорий, и др. сущностей.
 *
 *
 * @author Авдеев Марк <mark-avdeev@mail.ru>
 * @package moguta.cms
 * @subpackage Libraries
 */
class Actioner{

  public $messageSucces;
  public $messageError;
  public $data = array();
  public $lang = array();
  public $prefix;
  private $currentRowId = null;

  public function __construct(){
    $this->messageSucces = 'Успешно выполнено';
    $this->messageError = 'Произошла ошибка операция не выполнена';
	
    //include('mg-admin/locales/'.MG::getOption('languageLocale').'.php');
   // $this->lang = $lang;
    $this->prefix = PREFIX;

  }

  /**
   * Запускает один из методов данного класса.
   * @param type $action - название метода который нужно вызвать.
   */
  public function runAction($action){
    unset($_POST['mguniqueurl']);
    unset($_POST['mguniquetype']);
    //отсекаем все что после  знака ?
    $action = preg_replace("/\?.*/s", "", $action);

    $this->jsonResponse($this->$action());
    exit;
  }


  /**
   * Удаляет инсталятор.
   * @return void
   */
  public function delInstal(){
    $installDir = SITE_DIR.URL::getCutPath().'/install/';
    $this->removeDir($installDir);
    MG::redirect('');
  }
  


  /**
   * Удаляет папку со всем ее содержимым.
   * @param string $path путь к удаляемой папке.
   * @return void
   */
  public function removeDir($path){
    if(file_exists($path) && is_dir($path)){
      $dirHandle = opendir($path);

      while(false !== ($file = readdir($dirHandle))){

        if($file != '.' && $file != '..'){// Исключаем папки с назварием '.' и '..'
          $tmpPath = $path.'/'.$file;
          chmod($tmpPath, 0777);

          if(is_dir($tmpPath)){  // Если папка.
            $this->removeDir($tmpPath);
          }else{

            if(file_exists($tmpPath)){
              // Удаляем файл.
              unlink($tmpPath);
            }
          }
        }
      }
      closedir($dirHandle);

      // Удаляем текущую папку.
      if(file_exists($path)){
        rmdir($path);
        return true;
      }
    }
  }


  public function setCountRows(){  
    MG::setCountRows($_POST['section'],$_POST['count']);
    return true;
  }
  
  
  public function saveRSS(){
    RSS::saveRSS(
      $_POST['id'],
      $_POST['rss_link'],
      $_POST['active'], 
      $_POST['html_template'],
      $_POST['time_send'], 
      $_POST['list_id']
    );
    return true;
  }
  public function deleteRSS(){
      RSS::deleteRSS($_POST['id']);
      return true;
  }
  
  public function addRSS(){

   // echo "error 28 from table";
    //exit();
      RSS::addRSS();
      return true;
  } 


  public function saveSMTP(){

   if(empty($_POST['counter_use'])){
     $_POST['counter_use'] = null;
   }
   if(empty($_POST['last_use_time'])){
     $_POST['last_use_time'] = null;
   }
    MGSMTP::saveSMTP(
      $_POST['id'],
      $_POST['host'],
      $_POST['login'], 
      $_POST['pass'],
      $_POST['port'],
      $_POST['ssl'], 
      $_POST['counter_use'],
      $_POST['max_letter_to_day'],
      $_POST['time_bound'],
      $_POST['last_use_time']
    );
    return true;
  }
  
  public function deleteSMTP(){
      MGSMTP::deleteSMTP($_POST['id']);
      return true;
  }
  
  public function addSMTP(){
      MGSMTP::addSMTP();
      return true;
  } 

   
  public function saveList(){  
    if(!empty($_POST['id'])){  
      DDE::updateListName($_POST['id'],$_POST);
    }else{   
      DDE::addNewListName($_POST);    
    }    
    return true;
  }
  public function deleteListName(){
    DDE::deleteListName($_POST['id']);
    return true;
  }
  
  public function sendOneEmail(){
    DDE::sendOneLetterToEmail($_POST['letter_id'],$_POST['email']);
    return true;
  }
  
 public function updateStatToLetterId(){
  
  DDE::getReadTaskByIdLetter($_POST['id']);
  return true;
 }

 public function getLetterData(){
    //$this->messageError = ;
    $this->data = DDE::getLetterById($_POST['id']);
    //$this->data = DDE::addNewListName($_POST['title']);
    return true;
  }

  public function getList(){
    //$this->messageError = ;
	if ($_POST['id']=='0') {
      if (file_exists('mg-pages/listname_example.php')) {
      include('mg-pages/listname_example.php');
      $this->data = $listname_example;
      return true;
      }
    }
    $this->data = DDE::getListNameById($_POST['id']);
    //$this->data = DDE::addNewListName($_POST['title']);
    return true;
  }
  
  
   /**
   * Получает параметры редактируемого пользователя.
   */
  public function saveLetter(){
    //$this->messageError = ;
              
    DDE::saveLetter(
      $_POST['id'],
      $_POST['title'],
      $_POST['name'],
      $_POST['content'],
      $_POST['listname_id'],
      $_POST['status_id'],
      $_POST['left_time'],
      $_POST['left_time_min'],
      $_POST['left_time_day'],
      $_POST['left_time_month'],
      $_POST['left_time_year'],
      $_POST['attachments']
     );
     unset($_SESSION['autorespList']);
    //$this->data = DDE::addNewListName($_POST['title']);
    return true;
  }

   /**
   * Удаление письма
   */
  public function deleteLetter(){
    //$this->messageError = ;
    DDE::deleteLetter($_POST['id']);
    return true;
  }



  /**
   * Подключает elfinder.
   * @return boolean
   */
  public function elfinder() {    
    include('mg-core/script/elfinder/php/connector.php');
  }
  
   /**
   * Сохраняет все переданные email в список рассылок
   */
  public function saveEmailsToSubscriberListName(){
    //$this->messageError = ;
    //$this->data = DDE::addNewListName($_POST['title'])
    DDE::importEmailsToSubscriberListName($_POST['id'],$_POST['emails']);
    return true;
  }
  
  
   /**
   * Удаляет email из базы
   */
  public function deleteEmail(){
    DDE::deleteEmail($_POST['id']);
    return true;
  }

   /**
   * эмулятор крона 
   */
  public function startCron(){
    $cron = new Cron();
    $cron->startCron();
    return true;
  }
  
  /**
   * эмулятор крона 
   */
  public function sendEmailCron(){
    $cron = new Cron();
    $cron->sendEmailCron();
    return true;
  }
  /**
   * сохранение настроек
   */
  public function saveSettings(){
         
    if(!empty($_POST['dkimSecretKey'])){
	  if(!file_put_contents('.htkeyprivate', trim($_POST['dkimSecretKey']))){
	    return false;
	  }
	} 


    foreach ($_POST['options'] as $option => $value) {
	
	  if(in_array($option,array('imapHost','imapPort','imapLogin','imapPass','smtpHost','smtpLogin','smtpPass','smtpPort','mg_username','mg_password','mg_host'))){
	    $value = CRYPT::mgCrypt($value);
	  }

	
      if (!DB::query("UPDATE `".PREFIX."setting` SET `value`=".DB::quote($value)." WHERE `option`=".DB::quote($option)."")) {
        return false;
      }
	  
	  // если происходит смена домена для  DKIM подписи, необходимо удалить файлы с ключами из корня сайта
	  if($option=="dkimDomain"){
	    if(empty($value)){
		  if (file_exists('.htkeyprivate')) {
		  if (!(@unlink('.htkeyprivate')) ) { $this->messageError = 'Не удается удалить файл .htkeyprivate'; return false;};
		  }
		  if (file_exists('.htkeypublic')) {
		  if (!(@unlink('.htkeypublic')) ){ $this->messageError = 'Не удается удалить файл .htkeypublic';  return false;};
		  }
		}
	  }
	  
    }
    return true;
  }
    /**
   * Функция для получения необходимых настроек из js скриптов
   * @param $options имя, или массив имен опций.
   * @return boolean
   */
  public function getSetting(){ 
    $setting = $_POST['setting'];
    $this->data = array($setting => MG::getSetting($setting));
    return true;
  }

   /**
   * Возвращает данные по шаблону
   */
  public function getDataTemplate(){
         
    $this->data = DDE::getTemplateById($_POST['id']);

    return true;
  }
  
  
  /**
   * сохраняет новый шаблон
   */
  public function saveTemplate(){
         
    DDE::addNewTemplate($_POST['title'],$_POST['html'],0);

    return true;
  }
  
   /**
   * перезаписывает шаблон
   */
  public function editTemplate(){	
    DDE::editTemplateById($_POST['template_id'], $_POST['title'], $_POST['html'],0);
    return true;
  }
  

  
  /**
   * Переключает флаг для вывода цепочек писем в админке, в разделе писем
   */
  public function autorespList(){         
    $_SESSION['autorespList'] = !$_SESSION['autorespList'];
    return true;
  }

   /**
   * удаляет шаблон
   */
  public function deleteTemplate(){
         
    DDE::deleteTemplate($_POST['id']);

    return true;
  }


  

    
  /**
   * Возвращает ответ в формате JSON.
   * @param type $flag - если отработаный метод что-то вернул, то ответ считается успешным ждущей его фунции.
   * @return boolean
   */
  public function jsonResponse($flag){
    if($flag === null){
      return false;
    }
    if($flag){
      $this->jsonResponseSucces($this->messageSucces);
    }else{
      $this->jsonResponseError($this->messageError);
    }
  }

  /**
   * Возвращает положительный ответ с сервера.
   * @param type $message
   */
  public function jsonResponseSucces($message){
    $result = array(
      'data' => $this->data,
      'msg' => $message,
      'status' => 'succes');
    echo json_encode($result);
  }

  /**
   * Возвращает отрицательный ответ с сервера.
   * @param type $message
   */
  public function jsonResponseError($message){
    $result = array(
      'data' => $this->data,
      'msg' => $message,
      'status' => 'error');
    echo json_encode($result);
  }
    /**
   * Проверяет актуальность текущей версии системы.
   * @return void возвращает в AJAX сообщение о результате операции.
   */
  public function checkUpdata() {
    $msg = Updata::checkUpdata();

    if ($this->lang['ACT_THIS_LAST_VER'] == $msg['msg']) {
      $status = 'alert';
    } else {
      $status = 'success';
    }
    $response = array(
      'msg' => $msg['msg'],
      'status' => $status,
    );

    echo json_encode($response);
    exit;
  }
   /**
   * Очищает кеш проверки версий и проверяет наличие новой.
   */
  public function clearLastUpdate() {
    if (!$checkLibs = MG::libExists()) {
      $newVer = Updata::checkUpdata(true);
      if (!$newVer) {
        $this->messageError = "Пока нет новых версий";
        return false;
      }
      $this->messageSucces = "Доступна новая версия ".$newVer['lastVersion'];
      return true;
    } else {
      $this->messageError = "Невозможно проверить наличие версий. Библиотека CURL отключена";
      return false;
    }
  }
  /**
   * Функцию отправляет на сервер обновления информацию о системе и в случае одобрения скачивает архив с обновлением.
   * @return void возвращает в AJAX сообщение загруженную в систему версию.
   */
  public function preDownload() {
    $this->messageSucces = "Успешно загружен архив с новой версией ".$_POST['version'];
    $this->messageError = "Не удалось загрузить архив";
    $result = Updata::preDownload($_POST['version']);

    if (!empty($result['status'])) {
      if ($result['status'] == 'error') {
        $this->messageError = $result['msg'];
        return false;
      }
      return true;
    }


    return false;
  }
    /**
   * Установливает загруженный ранее архив с обновлением.
   * @return void возвращает в AJAX сообщение о результате операции.
   */
  public function postDownload() {
    $this->messageSucces = "Версия системы обновлена до ".$_POST['version'];
    $this->messageError = "Не удалось распаковать архив и произвести обновление";

 
    if (Updata::extractZip('update-m.zip')) {
      $this->messageSucces = "Версия обновлена";
      return true;
    } else {
      $this->messageError = "Ошибка обновления, не удалось распаковать архив";
      return false;
    }
    return false;
  }
   /**
   * сохраняет нового подписчика email 
   */
  public function saveEmailbase(){
    //если не передан id то добаляем нового подписчика и обновляем для него подписки, иначе просто обновляем
    $this->messageSucces = "Изменения успешно сохранены";
    $email = $_POST['email'];
    if (!preg_match('/^[-._a-zA-Z0-9]+@(?:[a-zA-Z0-9][-a-zA-Z0-9]{0,61}+\.)+[a-zA-Z]{2,6}$/', $email)) {
        $this->messageError  = "E-mail введен некорректно!";
        return false;
    }
    if (empty($_POST['id'])) {
      $emeilId = DDE::getIdByEmail($email);
      if ($emeilId!=null) {
        $this->messageError = "Подписчик с адресом ".$email." существует. Воспользуйтесь фильтром для редактирования его подписок.";
        return false;
      }
      DDE::addNewEmail($email);
      $emailId = DB::insertId();
      if ($emailId&&$_POST['listnames']) {
          foreach ($_POST['listnames'] as $listnameId) {
            if (DDE::existIdListName($listnameId) ){
              DB::query('INSERT INTO `'.PREFIX.'subscription` (`listname_id`,`email_id`, `date_add`, `unsub`) VALUES ('.
              DB::quote($listnameId).','.DB::quote($emailId).', now(), 0)');
            }
          }          
        }
      return true;
    } else {
      $emailId = $_POST['id'];
      DB::query('UPDATE `'.PREFIX.'subscription` SET `unsub`=1 WHERE `email_id`='.
              DB::quote($emailId));
      if (!empty($_POST['listnames'])) {
        foreach ($_POST['listnames'] as $listnameId) {
          if (DDE::existIdListName($listnameId) ){
              $res = DB::query('
                SELECT * 
                FROM `'.PREFIX.'subscription`
                WHERE email_id = '.DB::quote($emailId).
                 ' and listname_id = '.DB::quote($listnameId));
             if (!DB::fetchAssoc($res)) {
               DB::query('INSERT INTO `'.PREFIX.'subscription` (`listname_id`,`email_id`, `date_add`, `unsub`) VALUES ('.
                 DB::quote($listnameId).','.DB::quote($emailId).', now(), 0)');
             } else {
               DB::query('UPDATE `'.PREFIX.'subscription` SET `unsub`= 0
                 WHERE `email_id` = '.DB::quoteInt($emailId).' AND `listname_id` = '.DB::quoteInt($listnameId)); 
             }
            }
          }          
        }      
    }
    return true;
  }
  // получает email и список подписок по id 
  public function getSubscripionsById() {
    $sql = DB::query('SELECT * FROM `'.PREFIX.'subscription` WHERE `email_id`='.DB::quoteInt($_POST['id']).' AND `unsub`=0');
    $result = array();
    while ($res = DB::fetchArray($sql)) {
      $result[] = $res;
    }
    $this->data = $result;
    return true;
  }
  // меняет статус с черновика или приостановлено на отправляется
  public function startSending(){
    $this->messageSucces = "Письмо активировано и будет отправлено подписчикам";
    $this->messageError = "Не удалось активировать письмо";
    $id = $_POST['id'];
    $dataStatus  = DDE::getLetterStatus();
    $datastatusTitle = array();
    foreach ($dataStatus as $status) {
      $datastatusTitle[$status['id']] = $status['title'];
    }
    $sql = DB::query("SELECT `status_id` FROM `".PREFIX."letter` WHERE `id`=".DB::quoteInt($id));
    if ($res = DB::fetchArray($sql)) {
      $newstatus = $res['status_id'];
      switch ($res['status_id']):
        case 1: 
           // меняем статус письма с черновик и приостановлено на "добавляется в очередь"
          $res = DB::query('SELECT * FROM `'.PREFIX.'send_task` WHERE letter_id = '.DB::quoteInt($id));
          if ($row = DB::fetchAssoc($res)) {
            DDE::setStatusLetter($id, 3); 
            $newstatusId = 3;
            $newstatus = $datastatusTitle[3];
          }else{
            DDE::setStatusLetter($id, 2); 
            $newstatusId = 2;
            $newstatus = $datastatusTitle[2];
          }          
          break;
        case 6: 
          // меняем статус письма с черновик и приостановлено на "добавляется в очередь"
          DDE::setStatusLetter($id, 2); 
          $newstatusId = 2;
          $newstatus = $datastatusTitle[2];
          break;
        case 7: 
          // меняем статус письма с автоотчетчик черновик на "автоответчик"
          DDE::setStatusLetter($id, 5); 
          $newstatusId = 5;
          $newstatus = $datastatusTitle[5];          
          break;
      endswitch;   
      $this->data['status_id'] = $newstatusId;
      $this->data['status'] = $newstatus;
      return true;
    }
    return false;
  }
  // меняет статус с рассылается/в очереди на приостановлено
  public function pauseSending(){
    $this->messageSucces = "Рассылка приостановлена";
    $this->messageError = "Не удалось остановить рассылку";
    $id = $_POST['id'];
    $dataStatus  = DDE::getLetterStatus();
    $datastatusTitle = array();
    foreach ($dataStatus as $status) {
      $datastatusTitle[$status['id']] = $status['title'];
    }
    $sql = DB::query("SELECT `status_id` FROM `".PREFIX."letter` WHERE `id`=".DB::quoteInt($id));
    if ($res = DB::fetchArray($sql)) {
      $newstatus = $res['status_id'];
      if ($res['status_id'] == 2 ||$res['status_id'] == 3 ) {
        DDE::setStatusLetter($id, 1); 
        $newstatusId = 1;
        $newstatus = $datastatusTitle[1];
      } 
      $this->data['status_id'] = $newstatusId;
      $this->data['status'] = $newstatus;
      return true;
    }
    return false;
  }
  // меняет статус с рассылается/в очереди на отменено
  public function stopSending(){
    $this->messageSucces = "Рассылка отменена";
    $this->messageError = "Не удалось отменить рассылку";
    $id = $_POST['id'];
    $dataStatus  = DDE::getLetterStatus();
    $datastatusTitle = array();
    foreach ($dataStatus as $status) {
      $datastatusTitle[$status['id']] = $status['title'];
    }
    $sql = DB::query("SELECT `status_id` FROM `".PREFIX."letter` WHERE `id`=".DB::quoteInt($id));
    if ($res = DB::fetchArray($sql)) {
      $newstatus = $res['status_id'];
      if ($res['status_id'] == 5) {
        DDE::setStatusLetter($id, 7); 
        $newstatusId = 7;
        $newstatus = $datastatusTitle[7];
      } else {
        DDE::setStatusLetter($id, 8); 
        $newstatusId = 8;
        $newstatus = $datastatusTitle[8];
      }  
      $sql = DB::query("DELETE FROM `".PREFIX."send_task` WHERE `letter_id`=".DB::quoteInt($id));
      $this->data['status_id'] = $newstatusId;
      $this->data['status'] = $newstatus;
      return true;
    }
    return false;
  }
  // создает выгрузку email адресов в csv
  public function exportToCsvEmail() {
    $this->messageSucces = "Email адреса сохранены в csv";
    $this->messageError = "Не удалось выгрузить адреса";
    $filter = array();
    $filterData = explode('&', urldecode($_POST['request']));
    foreach ($filterData as $item) {
      $param = explode('=', $item);
      if (stristr( $param[0],'[]')=== FALSE) {
        $filter[$param[0]] = $param[1];
      } else {
        $filter[str_replace('[]', '', $param[0])][] = $param[1];
      }
      
    }
	$list = array( );
	$listUnsub = array('null' => 'Все', '0' => 'Получает', '1' => 'Отписался');
    $property = array(
      'email' => array(
        'type' => 'text',
        'label' => 'Email',
        'special' => 'like',
        'value' => !empty($filter['email'][0]) ? $filter['email'][0] : null,
      ),
      'subscription' => array(
        'type' => 'select',
        'option' => $list,
        'selected' => (!empty($filter['subscription'])) ? $filter['subscription'] : 'null', // Выбранный пункт (сравнивается по значению)
        'label' => 'Списки рассылки'
      ),
	  'unsub' => array(
		'type' => 'select',
		'option' => $listUnsub,
		'selected' => (!empty($filter['unsub']) ||$filter['unsub']==0 ) ? $filter['unsub'] : 'null', // Выбранный пункт (сравнивается по значению)
		'label' => 'Подписчики'
	  ),
    );
    $filterLib = new Filter($property);    
    $arr = array(
      'email' => !empty($filter['email']) ? $filter['email'] : null,
      'sub.listname_id' => !empty($filter['subscription']) ? $filter['subscription'] : null,
	  'sub.unsub'=> !empty($filter['unsub']) ? $filter['unsub'] : null,
      );
    $userFilter = $filterLib->getFilterSql($arr);
    $filename = USER::exportToCsvEmail($userFilter);
    $this->data['filecsv'] = $filename;            
    return true;
  }
   /**
   * Загружает CSV файл для импорта каталога.
   * @return boolean
   */
  public function uploadCsvToImport() {
    $tempData= false;
    $path = 'uploads/';
    $validFormats = array('csv', 'zip');

    if (isset($_POST) && 'POST' == $_SERVER['REQUEST_METHOD']) {

      if (!empty($_FILES['upload'])) {
        $file_array = $_FILES['upload'];
      }     
      $name = $file_array['name'];
      $size = $file_array['size'];

      if (strlen($name)) {
        $fullName = explode('.', $name);
        $ext = array_pop($fullName);
        $name = implode('.', $fullName);
        if (in_array(strtolower($ext), $validFormats)) {
          if ($size < (1024 * 10 * 1024) && !empty($file_array['tmp_name'])) { //$file_array['tmp_name'] будет пустым если размер загруженного файла превышает размер установленный параметром upload_max_filesize в php.ini
            if (strtolower($ext) == 'csv') {
              $name = 'importEmails.csv';
            }
            if (strtolower($ext) == 'zip') {
              $name = 'importEmails.zip';
            }
            $tmp = $file_array['tmp_name'];
            if (move_uploaded_file($tmp, $path.$name)) {
              if (strtolower($ext) == 'zip') {
                if (file_exists($path.$name)) {
                  $zip = new ZipArchive;
                  $res = $zip->open($path.$name, ZIPARCHIVE::CREATE);
                  
                  if ($res === TRUE) {
                    //$realDocumentRoot = str_replace(DIRECTORY_SEPARATOR.'mg-core'.DIRECTORY_SEPARATOR.'lib', '', dirname(__FILE__));
                    for($i = 0; $i < $zip->numFiles; $i++) {
                      $filename = $zip->getNameIndex($i);
                      $fullName = explode('.', $zip->getNameIndex($i));
                      $ext = array_pop($fullName);
                      if($ext=='csv'){
                        $zip->extractTo('uploads/', array($filename));
                        rename('uploads/'.$filename, "uploads/importEmails.csv");
                      }                      
                    }                
                    $zip->close();
                    unlink($path.$name);
                  }
                }
              }
              $tempData= array('msg' => 'Файл загружен', 'actualImageName' => 'importEmails.csv', 'status' => 'success');
            } else {
              $tempData= array('msg' => 'Не удалось загрузить файл', 'status' => 'error');
            }
          } else {
            $tempData= array('msg' => 'Размер файла больше допустимого', 'status' => 'error');
          }
        } else {
          $tempData= array('msg' => 'Формат файла не поддерживается', 'status' => 'error');
        }
      } else {
        $tempData= array('msg' => 'Пожалуйста, выберите файл', 'status' => 'error');
      }
    }    
    $this->data = array('img' => $tempData['actualImageName']);

    if ($tempData['status'] == 'success') {
      $this->messageSucces = $tempData['msg'];
      return true;
    } else {
      $this->messageError = $tempData['msg'];
      return false;
    }
  }
   /**
   * Запускает загрузку товаров с заданной строки.
   * @param int $rowId - id строки для старта
   * @return array
   */
  public function startImportEmail() {
    $this->messageSucces = "Процесс запущен";
    $this->messageError = "Не удалось начать импорт";
    $rowId = $_POST['rowId'];    
    if(!$rowId){
      $rowId = 1;
    }
    $listnameId  = $_POST['listnameId'];
    $data = self::importFromCsv($rowId, $listnameId);
    if($data['status']==='error'){
      $msg = 'Ошибка в CSV файле! '.$data['error'].' line:'.((int)$this->currentRowId+1);        
      $this->data = array(
          'status' => 'error',
          'msg' => $msg
        );
      $this->messageError = $this->data['msg'].'';
        return false;
      }            
      $this->messageSucces = "Обработано ".$data['rowId']." записей" ;
      $this->data = array(
        'percent' => $data['percent'],
        'status' => 'run',
        'rowId' => $data['rowId']       
      );
      return true;
  }
  public function importFromCsv($rowId, $listnameId) {
    $this->maxExecTime = min(30, @ini_get("max_execution_time"));
    
    if(empty($this->maxExecTime)){
     $this->maxExecTime = 30;
   }
    $startTimeSql = microtime(true);
    $delimert = ';';
    $infile = false;

    $file = new SplFileObject("uploads/importEmails.csv");
    
    if($rowId === 1 || empty($rowId)){
      $rowId = 0;
    }
    $this->currentRowId = $rowId;
    $file->seek($rowId);
    $validFormat = false;  
    while(!$file->eof()){      
      $infile = true;
      $data = $file->fgetcsv(";");  
      if($rowId === 0){        
          $validFormat = $this->validateFormate($data);
          if($validFormat){
            break;          
          }          
        $rowId = 1;
        continue;
      }
    if((microtime(true) - $startTimeSql) > $this->maxExecTime - 5){
       break;
    }            
      
      $cData = array();     
      $v = trim($data[0]);
      if(!empty($v) && preg_match('/^[-._a-zA-Z0-9]+@(?:[a-zA-Z0-9][-a-zA-Z0-9]{0,61}+\.)+[a-zA-Z]{2,6}$/', $v)){          
        $cData[0] = str_replace(' ',' ',iconv("WINDOWS-1251", "UTF-8", $v));
        DDE::addNewSubscriberToListName($listnameId, $cData[0]);
      } elseif (!empty($v)) {
        $validFormat  = "E-mail ".$v." введен некорректно!";
        $data['error'] = $validFormat;
        $data['status'] = 'error';
        return $data;
      }            
      $this->currentRowId = $rowId;
      $rowId++;      
    }    
    if($validFormat){
      $data['error'] = 'Нарушен порядок столбцов или кодировка!'.$validFormat;
      $data['status'] = 'error';
      return $data;
    }    
    $file = null;
    $percent100 = count(file("uploads/importEmails.csv"));
    $percent = (int)$rowId;
    $percent = ($percent * 100) / $percent100;
    if(!$infile){
      $percent = 100;
    }
    $data = array(
      'rowId' => $rowId,
      'percent' => floor($percent),
      'status' => 'success'
    );

    return $data;
  }
   /**
   * Проверка валидности файла.
   */
  public function validateFormate($data,$maskArray = array('email')) {
    $result = false;   
    // Проверим на соответствие заголовки столбцов.
    foreach($data as $k => $v){
      $v = str_replace(' ',' ',iconv("WINDOWS-1251", "UTF-8", $v));      
      if(isset($maskArray[$k])){
        if($maskArray[$k]!=$v) {  
          $result = 'Столбец "'.$maskArray[$k].'" не обнаружен!';          
          break;
        }      
      }
    }    
    return $result;    
  }

  public function getSessionLifeTime() {
    $sessionLifeTime = Storage::getSessionLifeTime();
    
    if (isset($_POST['a']) && $_POST['a'] == 'ping') {
      $sessionExpires = Storage::getSessionExpired($_COOKIE['PHPSESSID']);
      $this->data['sessionLifeTime'] = $sessionExpires + $sessionLifeTime - time();
      $this->data['timeWithoutUser'] = time() - $sessionExpires;
    } else {
      $this->data['sessionLifeTime'] = $sessionLifeTime;
    }
    
    return true;
  }

  public function updateSession() {
    return true;
  }
  /**
   * Загружает прикрепленные файлы к письму 
   * @return boolean
   */
  public function uploadLetterFiles() {
    $tempData= false;
    $path = 'uploads/attachments/';
    if (isset($_POST) && 'POST' == $_SERVER['REQUEST_METHOD']) {
      if (!empty($_FILES['att'])) {
        $file_array = $_FILES['att'];
      }     
      $nameArray = $file_array['name'];
      $size = $file_array['size'];
      $tempData = array();
      foreach ($nameArray as $key => $name) {
        if (strlen($name)) {
            $fullName = explode('.', $name);
            $ext = array_pop($fullName);
            $name = implode('.', $fullName);
            $name = MG::translitIt($name);
            if (file_exists($path.$name.".".$ext)) {
              $name = $name.time();
            }
            if ($size[$key] < (15728640) && !empty($file_array['tmp_name'][$key])) { //$file_array['tmp_name'] будет пустым если размер загруженного файла превышает размер установленный параметром upload_max_filesize в php.ini
              $tmp = $file_array['tmp_name'][$key];
              if (move_uploaded_file($tmp, $path.$name.".".$ext)) {        
                $tempData[] = array('name' => $name.".".$ext, 'path' => $path.$name.".".$ext);
              } else {
                $tempData[] = array('name' => $name.".".$ext, 'error' => $path.$name.".".$ext);
              }
            } else {
              $tempData[]= array('name' => $name.".".$ext, 'error' => 'Размер файла больше допустимого');
            }     
        }  
      }
    }
    $this->data = $tempData;
    return true;
  }
  /*
   *  копирование письма 
   *  @return boolean
   */ 
  public function copyLetter(){
    $this->messageSucces = "Создана копия письма со статусом \"Черновик\" ";
    $this->messageError = "Не удалось создать копию письма";
    $id = $_POST['id']; 
    if ($id) {
      $array = DDE::getLetterById($id);
      DDE::saveLetter(
      0,
      $array['title'],
      'Копия '.$array['name'],
      $array['content'],
      $array['listname_id'],
      0,
      $array['left_time'],
      $array['left_time_min'],
      $array['left_time_day'],
      $array['left_time_month'],
      $array['left_time_year'],
      $array['attachments']
     );
     unset($_SESSION['autorespList']);
     return true;
    }    
    return false;
  }

   /*
   *  Отправляет тестовое письмо на email для уведомлений
   *  @return boolean
   */ 
  public function sendTestLetter(){
  
    $this->messageSucces = "Письмо успешно отправлено на ".MG::getSetting('adminEmail');
	
	if (filter_var(MG::getSetting('adminEmail'), FILTER_VALIDATE_EMAIL) !== false){
	  if(MG::getSetting("smtpHost")==""){
	     $this->messageError = "Не указан SMTP сервер!";	 
		 return false;		 
	  }
	  $res=DDE::sendMail(array(
		  'email' => MG::getSetting('adminEmail'),
		  'title' => "Тестовое письмо",
		  'list_id' => null,
		  'content' => "Это письмо отправлено для проверки корерктности настроек!",
		  'letter_id' => null,
      ));
	  
	  if($res!==true){
	    $this->messageError = $res;	   
		return false;		
	  }
	  
	}else{	 
      $this->messageError = "Email для уведомлений указан не корректно!";	  
	  return false;
	}

    return true;
  }
  
   /*
   *  Устанавливает тестовое соединение по протоколу IMAP
   *  @return boolean
   */ 
  public function testImap(){
      	
		  
	$settings = MG::get('settings');
	
	if (!function_exists('imap_open')) {
	    $this->messageError = "На вашем веб-сервере отсутствует php модуль для работы с IMAP, обратитесь в поддержку сервера";	  		
		return false;
	}
	
	$host = $settings['imapHost'];
	$port = $settings['imapPort'];
	$login = $settings['imapLogin'];
	$pass = $settings['imapPass'];
	
	if($settings['imapSSL']=="true"){
	  $param = '/imap/ssl/novalidate-cert';
	} else{
	  $param = '';
	}	
	$folder = 'INBOX';		

	
	

	
	    $this->messageSucces = "Соединение произведено успешно";
		
	    $imapStream = @imap_open("{"."{$host}:{$port}{$param}"."}$folder",$login,$pass);
        if(!$imapStream) {
            $this->messageError = "Не удалось установить соединение, проверьте параметры доступа к серверу IMAP ".imap_last_error();	  
			return false;
        }
				
	    return true;
	


  }

  public function manualMogutaSync() {
    $result = DDE::syncFromMogutaCMS();
    if ($result) {
      $this->messageSucces = "Обмен прошёл успешно!";
      return true;
    } else {
      $this->messageError = "Обмен был прерван!";
      return false;
    }
  }
}