<?php
/**
 * Файл mg-start.php расположен в корне ядра, запускает движок и выводит на экран сгенерированные им данные.
 *
 * Инициализирует компоненты CMS, доступные из любой точки программы.
 * - DB - класс для работы с БД;
 * - MG - класс содердащий функционал системы;
 * - URL - класс для работы со ссылками;
 *
 * @author Авдеев Марк <mark-avdeev@mail.ru>
 * @package moguta.cms
 * @subpackage Files
 */

// Если config.ini не существует, происходит попытка запустить инсталятор.
if(!MG::getConfigIni()){
  MG::instalMoguta();
}

// Инициализация компонентов CMS.
LOG::init();
DB::init();
MG::init();
URL::init();
User::init();
MGSMTP::init();
Mailer::init();
DDE::init();

if(file_exists('modificatoryInc.php')) {
	@include 'modificatoryInc.php';
	@unlink('modificatoryInc.php');
}

// Запуск движка.
$moguta = new Moguta;
$moguta = $moguta->run();

echo MG::printGui($moguta);

if(DEBUG_SQL){
  echo DB::console();
}

