
/**
 * Модуль для  раздела "списков рассылки".
 */

var emailbase = (function () {
  return {

    wysiwyg: null, // HTML редактор для   редактирования страниц
    /**
     * Инициализирует обработчики для кнопок и элементов раздела.
     */
    init: function() {   
   
      // Вызов модального окна при нажатии на к
      // нопку добавления товаров.
      $('body').on('click', '.section-emailbase .add-new-button', function(){
        emailbase.openModalWindow('add');
      });
      
      $('body').on('click', '.section-emailbase .show-filter', function(){
         $('.box-filters').slideToggle();
      });

      $('body').on('click', '#modal-emailbase .dde-modal-save', function(){
          emailbase.saveList($(this).attr('id'));
      });

      $('body').on('click', '.section-emailbase .row-delete', function(){       
        emailbase.deleteEmail($(this).parents('tr').data('id'));
      });

      // Применение выбранных фильтров
      $('.admin-center').on('click', '.section-emailbase .filter-now', function(){
        emailbase.getByFilter();
        return false;
      });
        // Сброс фильтров.
      $('.admin-center').on('click', '.section-emailbase .refreshFilter', function(){        
        admin.clearGetParam();
        admin.show("emailbase.php","adminpage","refreshFilter=1");
        return false;
      });
      // закрытие окна на нажатие "Отмена"
	    $('body').on('click', '#modal-emailbase .dde-modal-cancel', function(){
         $('#modal-emailbase').foundation('reveal', 'close');
      });
      // редактирование email подписчика
      $('body').on('click', '.section-emailbase .row-edit', function(){       
        emailbase.openModalWindow('edit', $(this).parents('tr').data('id'));
      });
      // выгрузка адресов в csv
      $('body').on('click', '.section-emailbase .export-to-scv', function(){
        var request = $("form[name=filter]").formSerialize();  
        //admin.show("emailbase.php","adminpage",request+'&exportCsv=1');
      emailbase.exportToScv(request);
      });
    },
      // выгружает адреса в scv с примененными фильтрами
    exportToScv: function(request){
        admin.ajaxRequest({
          mguniqueurl: "action/exportToCsvEmail",
          request: request
        },
        function(response) {     
          admin.indication(response.status, response.msg);
          if(response.data.filecsv) {
            setTimeout(function() {
              if (confirm('Файл с выгрузкой создан в корне сайта под именем: '+response.data.filecsv+'. Желаете скачать сейчас?')){
              location.href = mgBaseDir+'/'+response.data.filecsv;
            }}, 2000);            
           }         
        }
        );
    },
      //  Получает данные из формы фильтров и перезагружает страницу
    getByFilter: function(){
       var request = $("form[name=filter]").formSerialize();      
       admin.show("emailbase.php","adminpage",request+'&applyFilter=1&displayFilter=1');
       return false;
    },

    /**
     * Открывает модальное окно.
     * type - тип окна, либо для создания нового товара, либо для редактирования старого.
     */
    openModalWindow: function(type, id) {
      switch (type) {
        case 'edit':{
          emailbase.clearFileds();
          $('.remodal-header').text('Редактирование подписок');
          emailbase.editProduct(id);
         // $('.save-button').attr('id',response.data.id);
          break;
        }
        case 'add':{

          $('.remodal-headern').text('Добавление нового подписчика');
          emailbase.clearFileds();        

          break;
        }
        default:{
          emailbase.clearFileds();
          break;
        }
      }

      if(emailbase.wysiwyg){
        
      }
      // Вызов модального окна.
     // admin.openModal($('.b-modal'));
      $('#modal-emailbase').foundation('reveal','open');   

      //emailbase.wysiwyg = new nicEditor({maxHeight: 230, fullPanel : true}).panelInstance('emailbaseEditor');

    },

 
    /**
     *  Проверка заполненности полей, для каждого поля прописывается свое правило.
     */
    checkRulesForm: function() {
      $('#modal-emailbase input[name=title]').removeClass('error-input');
      var error = '';      

      if(!$('#modal-emailbase input[name=title]').val()){
        admin.indication('error', 'Введите почтовый адрес');
        return false;
      }
      return true;
    },


    /**
     * Сохранение изменений в модальном окне
     * Используется и для сохранения редактированных данных
     * id - идентификатор списка 
     */
    saveList: function(id) {

      // Если поля не верно заполнены, то не отправляем запрос на сервер.
      if(!emailbase.checkRulesForm()){
        return false;
      }
      // Пакет характеристик .
      var packedProperty = {
        mguniqueurl:"action/saveemailbase",
        email: $('#modal-emailbase input[name=title]').val(),
        listnames: $('#modal-emailbase select[name=listname]').val(),       
        id:id
      }
      // отправка данных на сервер для сохранения
      admin.ajaxRequest(packedProperty,
        function(response) {
          admin.indication(response.status, response.msg);
          if (response.status=='succes') {
             admin.refreshPanel();             
            // Закрываем окно    
            $('#modal-emailbase').foundation('reveal','close');  
          }  else {
            $('#modal-emailbase input[name=title]').addClass('error-input');
          }
        }
      );
    },

    

    /**
     * Получает данные о продукте с сервера и заполняет ими поля в окне.
     */
    editProduct: function(id) {
      admin.ajaxRequest({
        mguniqueurl:"action/getSubscripionsById",
        id: id
      },
      emailbase.fillFileds(id)
      );
    },


  /**
     * Удаляет список из БД сайта и таблицы в текущем разделе
     */
    deleteEmail: function(id) {
      if (confirm('Адрес будет удален из базы и из всех подписок. Удалить email?')) {
        admin.ajaxRequest({
          mguniqueurl: "action/deleteEmail",
          id: id
        },
        function(response) {
          admin.indication(response.status, response.msg);
          admin.refreshPanel();
        }
      );
      }
    },

   /**
    * Заполняет поля модального окна данными
    */
    fillFileds:function(id) {
      return (function(response) {
        var email = $('.section-emailbase table tr[data-id='+id+'] .email').text()
        $('#modal-emailbase input[name=title]').val(email);   
        $('#modal-emailbase input[name=title]').prop('disabled','disabled');  
        $('#modal-emailbase .dde-modal-save').attr('id', id);
        $('#modal-emailbase select[name=listname]').val(0);
        $('#modal-emailbase select[name=listname] option').removeAttr('selected');
        var listname = response.data;
        listname.forEach(function(item, i, arr) {
          if(item.listname_id) {
            $('#modal-emailbase select[name=listname] option[value='+item.listname_id+']').prop('selected', 'true');
          }
        })
      })
    },


   /**
    * Чистит все поля модального окна
    */
    clearFileds:function() {
      $('#modal-emailbase input[name=title]').val('');      
      $('#modal-emailbase .dde-modal-save').attr('id','');
      $('#modal-emailbase select[name=listname]').val(0);
      $('#modal-emailbase select[name=listname] option').removeAttr('selected');
      $('#modal-emailbase input[name=title]').removeClass('error-input');
      $('#modal-emailbase input[name=title]').removeAttr('disabled');  
    },


    getProductByFilter: function(){

       var request = $("form[name=filter]").formSerialize();
       admin.show("emailbase.php","adminpage",request);
       return false;

    }



  }
})();

// инициализациямодуля при подключении
emailbase.init();

