
/**
 * Модуль для  раздела "списков рассылки".
 */

var letter = (function () {
  return {
    supportCkeditor: null,
    wysiwyg: null, // HTML редактор для   редактирования страниц
    /**
     * Инициализирует обработчики для кнопок и элементов раздела.
     */
    init: function() {   
    

      // Вызов модального окна при нажатии на к
      // нопку быстрой отправки.
      $('body').on('click', '.section-letter .row-send-one', function(){
        $('#modal-send-letter .dde-modal-send-letter').attr('data-id', $(this).parents('tr').data('id'));  
        letter.openSendModalWindow();
      });
      
      // обновить статистику по открытию письма
      $('body').on('click', '.section-letter .row-update-stat', function(){       
        letter.updateStatToLetterId($(this).parents('tr').data('id'));
      });      

      // Вызов модального окна при нажатии на к
      // нопку добавления товаров.
      $('body').on('click', '.section-letter .add-new-button', function(){
        letter.openModalWindow('add');
      });
      
           
       // Вызов модального окна при нажатии на к
      // нопку добавления товаров.
      $('body').on('click', '#modal-letter .dde-modal-cancel', function(){
         $('#modal-letter').foundation('reveal', 'close');
      });
      
      $('body').on('click', '#modal-send-letter .dde-modal-send-cancel', function(){
       //$(this).parents('tr').data('id')       
       $('#modal-send-letter').foundation('reveal', 'close'); 
        
      });
      
      
      $('body').on('click', '.section-letter .view-autoreps', function(){       
       admin.ajaxRequest({
          mguniqueurl: "action/autorespList",
        },
        function(response) {
          admin.indication(response.status, response.msg);
          admin.refreshPanel();
        }
        );
      });
   
      // Пересчет количества секунд для отправки письма    
      $('body').on('change', '#modal-letter .autorescalc', function(){
       var minutes = $('#modal-letter select[name=minutes] option:selected').val();
       var days = $('#modal-letter select[name=days] option:selected').val();
       var month =  $('#modal-letter select[name=month] option:selected').val();
       var years =  $('#modal-letter select[name=years] option:selected').val();
       
       var secInDay=24*60*60;
       var secInMonth=31*secInDay;
       var secInYear=12*secInMonth;
       
        var left_time = minutes*60 + days*secInDay + month*secInMonth + years*secInYear;
        
        $('#modal-letter input[name=left_time]').val(left_time);
  
      });
      
      $('body').on('click', '#modal-send-letter .dde-modal-send-letter', function(){
         
        var id =  $(this).attr('data-id');
        admin.ajaxRequest({
          mguniqueurl: "action/sendOneEmail",
          letter_id: id,
          email: $('#modal-send-letter input[name=email]').val(),
        },
        function(response) {
          admin.indication(response.status, response.msg);
          $('#modal-send-letter').foundation('reveal', 'close'); 
          $('#modal-send-letter .dde-modal-send-letter').attr('data-id', '');
        }
        ); 

      });      
            
      $('body').on('click', '.section-letter .row-edit', function() {   
        letter.openModalWindow('edit',$(this).parents('tr').data('id'));
      });
      
      $('body').on('click', '#modal-letter .dde-modal-save', function(){

        letter.saveLetter($(this).data('id'));
      });
      
      $('body').on('click', '.section-letter .row-delete', function() {   
        letter.deleteLetter($(this).parents('tr').data('id'));
      });


      $('body').on('click', '#modal-letter .dde-modal-preview', function(){

        letter.preview($('#modal-letter textarea[name=content]').val());
      });

       $('body').on('change', '#modal-letter select[name="template_id"]', function() {
           
           letter.selectTemplate($(this).val());
       });
       
       $('body').on('change', '#modal-letter input[name="autoresptrue"]', function() {           
          if($(this).val()=="true"){
            $('.box-autoresp-time').show();
          }else{
            $('.box-autoresp-time').hide();
          };
       });
       // запуск рассылки
      $('body').on('click', '.section-letter .row-play', function() {   
        letter.startSending($(this).parents('tr').data('id'));
      });
       // приостановка рассылки
      $('body').on('click', '.section-letter .row-pause', function() {   
        letter.pauseSending($(this).parents('tr').data('id'));
      });
      // отмена рассылки
      $('body').on('click', '.section-letter .row-stop', function() {   
        if (confirm('Письмо будет удалено из очереди рассылки, возобновить отправку будет невозможно, если это не автоответчик. Отменить рассылку?')) {
          letter.stopSending($(this).parents('tr').data('id'));
        }        
      });      
      // прикрепление нескольких файлов
       $('body').on('change', '#modal-letter input[name="att[]"]', function(){
        letter.uploadFilesAtt();
      });
    // удаление прикреплоенного файла 
    $('body').on('click', '#modal-letter .delete-files', function(){
      $(this).parents('li').remove();
    })
      // копирование письма
    $('body').on('click', '.section-letter .row-copy', function() {   
      letter.copyLetter($(this).parents('tr').data('id'));
    });
    },


    /**
     * Открывает модальное окно.
     * type - тип окна, либо для создания нового товара, либо для редактирования старого.
     */
    openModalWindow: function(type, id) {
    
      try {
        if (CKEDITOR.instances['letterEditor']) {
          CKEDITOR.instances['letterEditor'].destroy();
        }
      } catch (e) {
      }


      switch (type) {
        case 'edit':{
          letter.clearFileds();
          $('.remodal-header').text('Редактирование письма');
          letter.editLetter(id);
         // $('.save-button').attr('id',response.data.id);
          break;
        }
        case 'add':{

          $('.remodal-headern').text('Добавление нового письма');
          letter.clearFileds();        

          break;
        }
        default:{
          letter.clearFileds();
          break;
        }
      }


      
      $('textarea[name=content]').ckeditor(function () {
        this.setData(letter.supportCkeditor);
      });
      // Вызов модального окна.
     // admin.openModal($('.b-modal'));
      $('#modal-letter').foundation('reveal','open');   

      //letter.wysiwyg = new nicEditor({maxHeight: 230, fullPanel : true}).panelInstance('letterEditor');

    },


    openSendModalWindow: function() {          
      // Вызов модального окна.
     // admin.openModal($('.b-modal'));
      $('#modal-send-letter input[name=email]').val('');
      $('#modal-send-letter').foundation('reveal','open');   

    },


    /**
     *  Предпросмотр
     */
    preview: function(content) {
     
      $('#previewContent').val(content);
      $('#previewer').submit();
      return true;
    },




    /**
     * Сохранение изменений в модальном окне
     * Используется и для сохранения редактированных данных
     * id - идентификатор списка 
     */
    saveLetter: function(id) {
      $('#modal-letter input, textarea, select').removeClass('error-input');
      var title = $('#modal-letter input[name=title]').val();
      var name = $('#modal-letter input[name=name]').val();
      var content = $('#modal-letter textarea[name=content]').val();
      var listname = $('#modal-letter select[name=listname_id] option:selected').val();
      var error = '';
      if (!title) {
        error += 'Необходимо заполнить заголовок! ';
        $('#modal-letter input[name=title], textarea[name=content]').addClass('error-input');
      } 
      if (!content) {
        error += 'Необходимо заполнить содержание письма! ';
        $('#modal-letter textarea[name=content]').addClass('error-input');
      } 
      if (listname==0) {
        error += 'Необходимо выбрать список рассылки! ';
        $('#modal-letter select[name=listname_id]').addClass('error-input');
      } 
      if (error) {
        admin.indication('error', error);
        return false;
      }
      var attachments = '';
      $('#modal-letter .files-list li').each(function( event ) {
        attachments += $(this).data('path')+'|';
      });
	 
      // Пакет характеристик .
      var packed = {
        mguniqueurl:"action/saveLetter",        
        title: title,
        name: (name ? name : title),
        content: content,
        listname_id: listname,
        status_id: $('#modal-letter select[name=status_id] option:selected').val(),
        left_time: $('#modal-letter input[name=left_time]').val(),
        left_time_min: $('#modal-letter select[name=minutes] option:selected').val(),
        left_time_day: $('#modal-letter select[name=days] option:selected').val(),
        left_time_month: $('#modal-letter select[name=month] option:selected').val(),
        left_time_year: $('#modal-letter select[name=years] option:selected').val(),
        attachments:attachments
      }

      if(id){
        packed.id = id;
      }

       // отправка данных на сервер для сохранения
      admin.ajaxRequest(packed,
        function(response) {       
          admin.indication(response.status, response.msg);

          admin.refreshPanel();
          // Закрываем окно    
          $('#modal-letter').foundation('reveal', 'close');
        }
      );


    },



    /**
     * Получает данные о продукте с сервера и заполняет ими поля в окне.
     */
    editLetter: function(id) {
      admin.ajaxRequest({
        mguniqueurl:"action/getLetterData",
        id: id
      },
      letter.fillFileds()
      );
    },


    /**
     * Удаляет список из БД сайта и таблицы в текущем разделе
     */
    deleteLetter: function(id) {
      if (confirm('Удалить?')) {
        admin.ajaxRequest({
          mguniqueurl: "action/deleteLetter",
          id: id
        },
        function(response) {
          admin.indication(response.status, response.msg);
          admin.refreshPanel();
        }
      );
      }
    },
    // Обновление статистики по открытым письмам
    updateStatToLetterId: function(id) {
      
        admin.ajaxRequest({
          mguniqueurl: "action/updateStatToLetterId",
          id: id
        },
        function(response) {
          admin.indication(response.status, response.msg);
          admin.refreshPanel();
        }
      );
  
    },
    /**
     * ВОзвращает информацию по шаблону
     */
    selectTemplate: function(id) {
      if (confirm('Не сохраненные изменения в содержании письма будут отменены!')) {
        admin.ajaxRequest({
          mguniqueurl: "action/getDataTemplate",
          id: id
        },
        function(response) {
          admin.indication(response.status, response.msg);
		  if(response.data!=null){
          CKEDITOR.instances['letterEditor'].setData(response.data.html);
		  }else{
		  CKEDITOR.instances['letterEditor'].setData('');
		  }
        }
      );
      }
    },


   /**
    * Заполняет поля модального окна данными
    */
    fillFileds:function() {
      return (function(response) {  
        $('#modal-letter input,#modal-letter select, #modal-letter textarea').removeAttr('disabled');
        
     
        $('#modal-letter .dde-modal-save').show();
        $('.error-field').css('display', 'none');
        $('#modal-letter input[name=title]').val(response.data.title);   
        $('#modal-letter input[name=name]').val(response.data.name);    
        $('#modal-letter select[name=listname_id] option[value='+response.data.listname_id+']').attr("selected", "selected"); 
        $('#modal-letter select[name=status_id] option[value='+response.data.status_id+']').attr("selected", "selected"); 
        $('#modal-letter select[name=minutes] option[value='+response.data.left_time_min+']').attr("selected", "selected"); 
        $('#modal-letter select[name=days] option[value='+response.data.left_time_day+']').attr("selected", "selected"); 
        $('#modal-letter select[name=month] option[value='+response.data.left_time_month+']').attr("selected", "selected"); 
        $('#modal-letter select[name=years] option[value='+response.data.left_time_year+']').attr("selected", "selected"); 
        if (response.data.left_time!=0) {
          $('#modal-letter input[name=autoresptrue]').val("true");  
          $('#modal-letter input[name=autoresptrue]').prop("checked", "true");  
          $('#modal-letter .box-autoresp-time').show();
        }       
        if (response.data.attachments) {
          var files = response.data.attachments.split('|') ;
          files.forEach(function(item, i, arr) {
            if (item) {
              var name = item.split('/');
              name = name[name.length -1 ];
              $('#modal-letter ul.files-list').append('<li class="files success" data-path="'+item+'"><span>'+name+' <i class="fa fa-times delete-files"></i> </span></li>')
            }
          })
        }
        $('#modal-letter select[name=listname_id]').val(response.data.listname_id); 
        $('#modal-letter input[name=left_time]').val(response.data.left_time);
        //$('#modal-letter textarea[name=content]').html(response.data.content);
        $('#modal-letter .dde-modal-save').attr('data-id', response.data.id);  
        letter.supportCkeditor = response.data.content;
        if(response.data.status_id==4 || response.data.status_id==8){
          $('#modal-letter input,#modal-letter select, #modal-letter textarea').attr('disabled','disabled');
          $('#modal-letter .dde-modal-save').hide();
        }
        $('#modal-letter #previewContent').removeAttr('disabled');
      })
    },


   /**
    * Чистит все поля модального окна
    */
    clearFileds:function() {
      $('#modal-letter input, textarea, select').removeClass('error-input');
      $('#modal-letter input,#modal-letter select, #modal-letter textarea').removeAttr('disabled');
      $('#modal-letter .dde-modal-save').show();
      $('#modal-letter input[name=title],#modal-letter  input[name=name]').val('');
      $('#modal-letter input[name=left_time]').val('');
      $('#modal-letter select').val(0);
      $('#modal-letter select[name=minutes] option[value=0]').attr("selected", "selected"); 
      $('#modal-letter select[name=days] option[value=0]').attr("selected", "selected"); 
      $('#modal-letter select[name=month] option[value=0]').attr("selected", "selected"); 
      $('#modal-letter select[name=years] option[value=0]').attr("selected", "selected"); 
      $('#modal-letter .dde-modal-save').attr('data-id', '');    
      $('#modal-letter input[name=autoresptrue]').prop("checked", "");     
      $('#modal-letter .box-autoresp-time').hide();
      $('#modal-letter ul.files-list').html('');
      $('#modal-letter input[name="att[]"]').val('');
       
      //$('#modal-letter textarea[name=content]').text('');
      letter.supportCkeditor = '';
      // Стираем все ошибки предыдущего окна если они были.
      $('.errorField').css('display','none');

    },


    getProductByFilter: function(){

       var request = $("form[name=filter]").formSerialize();
       admin.show("letter.php","adminpage",request);
       return false;

    },
    // начало рассылки - смена статуса письма с черновика на рассылается
    startSending: function(id){
      admin.ajaxRequest({
          mguniqueurl: "action/startSending",
          id: id
        },
        function(response) {
          admin.indication(response.status, response.msg);
          $('.section-letter table tr[data-id='+id+'] .status span').text(response.data.status);
          if (response.status == 'succes') {
            $('.section-letter table tr[data-id='+id+'] .row-play').parent().hide();
            $('.section-letter table tr[data-id='+id+'] .row-pause').parent().show();
            $('.section-letter table tr[data-id='+id+'] .row-stop').parent().show();
            if (response.data.status_id == 5) {
              $('.section-letter table tr[data-id='+id+'] .row-pause').parent().hide();
            }
          }
        }
      )
    },
    // приостановка рассылки - смена статуса письма 
    pauseSending: function(id){
      admin.ajaxRequest({
          mguniqueurl: "action/pauseSending",
          id: id
        },
        function(response) {
          admin.indication(response.status, response.msg);
          $('.section-letter table tr[data-id='+id+'] .status span').text(response.data.status);
          if (response.status == 'succes') {
            $('.section-letter table tr[data-id='+id+'] .row-play').parent().show();
            $('.section-letter table tr[data-id='+id+'] .row-pause').parent().hide();
          }
        }
      )
    },
      // отмена рассылки - смена статуса письма 
    stopSending: function(id){
      admin.ajaxRequest({
          mguniqueurl: "action/stopSending",
          id: id
        },
        function(response) {
          admin.indication(response.status, response.msg);
          $('.section-letter table tr[data-id='+id+'] .status span').text(response.data.status);
          if (response.status == 'succes') {
            $('.section-letter table tr[data-id='+id+'] .row-stop').parent().hide();
            $('.section-letter table tr[data-id='+id+'] .row-pause').parent().hide();
            $('.section-letter table tr[data-id='+id+'] .row-flag').parent().show();
          }
          if (response.data.status_id == 7) {
            $('.section-letter table tr[data-id='+id+'] .row-play').parent().show();
            $('.section-letter table tr[data-id='+id+'] .row-flag').parent().hide();
          }
        }
      )
    },
    // загрузка файлов для вложений
    uploadFilesAtt: function(){
      // отправка файла CSV на сервер
      $('.attach-files').ajaxForm({
        type:"POST",
        url: "ajax",
        data: {
          mguniqueurl:"action/uploadLetterFiles"
        },
        cache: false,
        dataType: 'json',
        error: function() {alert("Загружаемый вами файл превысил максимальный объем и не может быть передан на сервер из-за ограничения в настройках файла php.ini\n\n{Внимание! Поддерживается загрузка zip архива с файлами}");},
        success: function(response){
          var files = response.data;
          var list = '';
          files.forEach(function(item, i, arr){
            if (!item.error) {
              list += '<li class="files success" data-path="'+item.path+'"><span>'+item.name+'<i class="fa fa-times delete-files"></i></span>  </li>'
            } else {
              list += '<li class="files success"><span style="color:red">'+item.name+'<i class="fa fa-exclamation">'+item.error+'</i></span>  Файл не загужен!</li>'
            }
          });
          $('#modal-letter input[name="att[]"]').val('');
          $('#modal-letter .files-list').append(list);
        }
      }).submit();
    },
    // копирование письма
    copyLetter: function(id){
      admin.ajaxRequest({
          mguniqueurl: "action/copyLetter",
          id: id
        },
        function(response) {
          admin.indication(response.status, response.msg);
          admin.refreshPanel();
        }
      )
    }

  }
})();

// инициализациямодуля при подключении
letter.init();

